<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Data Gelombang</title>

  <!-- Custom fonts for this template-->
  <link href="../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">
  <link href="../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>

<body id="page-top">
<?php include 'header.php'; ?>

 <!-- Begin Page Content -->
 <div class="container-fluid">

<!-- Page Heading -->
<h1 class="h3 mb-4 text-gray-800">Data Gelombang</h1>

<!-- DataTales Example -->
<div class="card shadow mb-4">
    <div class="card-header py-3 bg-primary">
        <h6 class="m-0 font-weight-bold text-white">Data Seluruh Gelombang</h6>
    </div>
    <div class="card-body">
    <?php 
    if(isset($_GET['pesan'])){
        if($_GET['pesan'] == "berhasil_ditambah"){
            echo '<div class="alert alert-success text-center">Data gelombang berhasil ditambah!</div>';
        }
        elseif($_GET['pesan'] == "berhasil_dihapus"){
            echo '<div class="alert alert-success text-center">Data gelombang berhasil dihapus!</div>';
        }
        elseif($_GET['pesan'] == "berhasil_diupdate"){
            echo '<div class="alert alert-success text-center">Data gelombang berhasil diupdate!</div>';
        }
    }
    ?>
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalLong"><i class="fa fa-plus-circle"></i> Tambah Gelombang</button><br/><br/>
        <div class="modal fade" id="exampleModalLong">
            <div class="modal-dialog">
                <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Tambah Gelombang</h5>
                            <button type="button" class="close" data-dismiss="modal"><span>&times;</span></button>
                        </div>
                        <div class="modal-body">
                            <form action="" method="POST" enctype="multipart/form-data">
                            <label>Nama Gelombang</label>
                            <input type="text" name="nama_gelombang" class="form-control" placeholder="Masukan nama gelombang" required><br>
                            <label>Periode Awal</label>
                            <input type="date" name="periode_awal" class="form-control" required><br>
                            <label>Periode Akhir</label>
                            <input type="date" name="periode_akhir" class="form-control" required><br>
                            <label>Jumlah jurusan</label>
                            <input type="number" value="1" name="jml_jurusan" class="form-control" ><br>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            <button name="proses" class="btn btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>ID Gelombang</th>
                            <th>Nama Gelombang</th>
                            <th>Periode Awal</th>
                            <th>Periode Akhir</th>
                            <th>Jumlah Pelatihan</th>
                            <th>Opsion</th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php 
                    include '../config/koneksi.php';
                    $data = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran");
                    while($d = mysqli_fetch_assoc($data)){
                    ?>
                        <tr>
                            <td><?php echo $d['id_gelombang'] ?></td>
                            <td><?php echo $d['gelombang'] ?></td>
                            <td><?php echo $d['periode_awal'] ?></td>
                            <td><?php echo $d['periode_akhir'] ?></td>
                            <td><?php echo $d['jumlah_pelatihan'] ?></td>
                            <td>
                                <a class="text-secondary" href="view/edit-gelombang.php?id=<?php echo $d['id_gelombang']; ?>"><i class="fa fa-edit text-secondary"></i> Edit</a>
                                <a onclick="return confirm('Anda yakin?')" class="text-danger" href="opsi/hps-gelombang.php?id=<?php echo $d['id_gelombang']; ?>"><i class="fa fa-trash text-danger"></i> Hapus</a>
                            </td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<!-- /.container-fluid -->
</div>

<?php include 'footer.php'; 
if(isset($_POST['proses'])){
    $nama_gelombang = htmlspecialchars($_POST['nama_gelombang']);
    $periode_awal = $_POST['periode_awal'];
    $periode_akhir = $_POST['periode_akhir'];
    $jumlah_jurusan = $_POST['jml_jurusan'];
    $query = mysqli_query($koneksi, "INSERT INTO gelombang_pendaftaran VALUES('', '$nama_gelombang', '$periode_awal', '$periode_akhir', '$jumlah_jurusan')");
    echo '<script> window.location.href="?pesan=berhasil_ditambah" </script>';
}
?>


<!-- CK EDITOR -->
<script src="../assets/editor/jquery.min.js"></script>
<script src="../assets/editor/ckeditor/ckeditor.js"></script>

<!-- EDITOR -->
<script>
  $(function () {
    CKEDITOR.replace('editor')
    $('.textarea').wysihtml5()
  })
</script>

<!-- Custom scripts for all pages-->
<script src="js/sb-admin-2.min.js"></script>
<!-- Page level plugins -->
<script src="../assets/dashboard-admin/vendor/datatables/jquery.dataTables.min.js"></script>
<script src="../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.js"></script>

<!-- Page level custom scripts -->
<script src="../assets/dashboard-admin/js/demo/datatables-demo.js"></script>