<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Dashboard Admin</title>

  <!-- Custom fonts for this template-->
  <link href="../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">

</head>

<body id="page-top">
<?php include 'header.php'; 
include '../config/koneksi.php';
//jumlah pendaftar pelatihan kerja
$pendaftaran = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan");
$jml_pendaftaran = mysqli_num_rows($pendaftaran);

//jumlah pelatihan kerja
$pelatihan = mysqli_query($koneksi, "SELECT * FROM program_pelatihan");
$jml_pelatihan = mysqli_num_rows($pelatihan);

//jumlah jurusan
$jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
$jml_jurusan = mysqli_num_rows($jurusan);

//jumlah gelombang
$gelombang = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran");
$jml_gelombang = mysqli_num_rows($gelombang);
?>
    <!-- Begin Page Content -->
    <div class="container-fluid">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Dashboard</h1>
        </div>

        <!-- Content Row -->
        <div class="row">

        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-primary shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                <div class="col mr-2">
                    <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Peserta Pelatihan Kerja</div>
                    <div class="h5 mb-0 font-weight-bold text-gray-800"><?= $jml_pendaftaran ?> Orang</div>
                </div>
                <div class="col-auto">
                    <i class="fas fa-users fa-2x text-gray-300"></i>
                </div>
                </div>
            </div>
            </div>
        </div>

        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-success shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                <div class="col mr-2">
                    <div class="text-xs font-weight-bold text-success text-uppercase mb-1">Program Pelatihan Kerja</div>
                    <div class="h5 mb-0 font-weight-bold text-gray-800"><?= $jml_pelatihan ?> Pelatihan Kerja</div>
                </div>
                <div class="col-auto">
                    <i class="fas fa- fa-2x text-gray-300"></i>
                </div>
                </div>
            </div>
            </div>
        </div>

        <!-- Earnings (Monthly) Card Example -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-info text-uppercase mb-1">Jurusan</div>
                                <div class="row no-gutters align-items-center">
                                    <div class="col-auto">
                                        <div class="h5 mb-0 mr-3 font-weight-bold text-gray-800"><?= $jml_jurusan ?> Jurusan</div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-auto">
                                <i class="fas fa-industry fa-2x text-gray-300"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        <!-- Pending Requests Card Example -->
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-warning shadow h-100 py-2">
            <div class="card-body">
                <div class="row no-gutters align-items-center">
                <div class="col mr-2">
                    <div class="text-xs font-weight-bold text-warning text-uppercase mb-1">Gelombang Pendaftaran</div>
                    <div class="h5 mb-0 font-weight-bold text-gray-800"><?= $jml_gelombang ?> Gelombang</div>
                </div>
                <div class="col-auto">
                    <i class="fas fa-check-circle fa-2x text-gray-300"></i>
                </div>
                </div>
            </div>
            </div>
        </div>
        </div>

        <!-- Content Row -->

        <div class="row">

        <!-- Area Chart -->
        <div class="col-xl-8 col-lg-7">
            <div class="card shadow mb-4">
            <!-- Card Header - Dropdown -->
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                <h6 class="m-0 font-weight-bold text-primary">Data Seluruh Peserta BLKP Palembang Tahun <?php echo date('Y'); ?></h6>
            </div>
            <!-- Card Body -->
            <div class="card-body">
                <div class="chart-area">
                    <canvas id="myAreaChart"></canvas>
                </div>
            </div>
        </div>
    </div>

    <!-- Pie Chart -->
    <div class="col-xl-4 col-lg-5">
        <div class="card shadow mb-4">
        <!-- Card Header - Dropdown -->
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-primary">Data Lainnya</h6>
        </div>
        <!-- Card Body -->
        <div class="card-body">
            <div class="chart-pie pt-4 pb-2">
                <canvas id="myPieChart"></canvas>
            </div>
            <div class="mt-4 text-center small">
            <span class="mr-2">
                <i class="fas fa-circle text-primary"></i> Gelombang Pendaftaran 
            </span>
            <span class="mr-2">
                <i class="fas fa-circle text-success"></i> Jurusan
            </span>
            <span class="mr-2">
                <i class="fas fa-circle text-info"></i> Program Pelatihan
            </span>
            </div>
        </div>
    </div>
</div>
</div>
</div>
</div>
<?php include 'footer.php'; ?>
</body>
</html>

<!-- INFO PESERTA PERTAHUN DAN PERBULAN -->
<?php 

//januari
$jan = date('Y-01');
$januari = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$jan."%' AND status_seleksi='Lolos' ");
$data1 = mysqli_num_rows($januari);

//februari
$feb = date('Y-02');
$februari = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$feb."%' AND status_seleksi='Lolos' ");
$data2 = mysqli_num_rows($februari);

//maret
$mar = date('Y-03');
$maret = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$mar."%' AND status_seleksi='Lolos' ");
$data3 = mysqli_num_rows($maret);

//april
$apr = date('Y-04');
$april = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$apr."%' AND status_seleksi='Lolos' ");
$data4 = mysqli_num_rows($april);

//mei
$may = date('Y-05');
$mayy = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$may."%' AND status_seleksi='Lolos' ");
$data5 = mysqli_num_rows($mayy);

//juni
$jun = date('Y-06');
$juni = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$jun."%' AND status_seleksi='Lolos' ");
$data6 = mysqli_num_rows($juni);

//juli
$jul = date('Y-07');
$juli = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$jul."%' AND status_seleksi='Lolos' ");
$data7 = mysqli_num_rows($juli);

//agustus
$aug = date('Y-08');
$agustus = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$aug."%' AND status_seleksi='Lolos' ");
$data8 = mysqli_num_rows($agustus);

//september
$sep = date('Y-09');
$september = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$sep."%' AND status_seleksi='Lolos' ");
$data9 = mysqli_num_rows($september);

//oktober
$okt = date('Y-10');
$oktober = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$okt."%' AND status_seleksi='Lolos' ");
$data10 = mysqli_num_rows($oktober);

//november
$nov = date('Y-11');
$november = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$nov."%' AND status_seleksi='Lolos' ");
$data11 = mysqli_num_rows($november);

//desember
$des = date('Y-12');
$desember = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE date_record LIKE '%".$des."%' AND status_seleksi='Lolos' ");
$data12 = mysqli_num_rows($desember);

//data lainnya
$gelombang = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran");
$pelatihan = mysqli_query($koneksi, "SELECT * FROM program_pelatihan");
$jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");

$jml_gelombang = mysqli_num_rows($gelombang);
$jml_pelatihan = mysqli_num_rows($pelatihan);
$jml_jurusan = mysqli_num_rows($jurusan);

?>
<!-- CHART -->
<script>
    // Set new default font family and font color to mimic Bootstrap's default styling
Chart.defaults.global.defaultFontFamily = 'Nunito', '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';
Chart.defaults.global.defaultFontColor = '#858796';

function number_format(number, decimals, dec_point, thousands_sep) {
  // *     example: number_format(1234.56, 2, ',', ' ');
  // *     return: '1 234,56'
  number = (number + '').replace(',', '').replace(' ', '');
  var n = !isFinite(+number) ? 0 : +number,
    prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
    sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
    dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
    s = '',
    toFixedFix = function(n, prec) {
      var k = Math.pow(10, prec);
      return '' + Math.round(n * k) / k;
    };
  // Fix for IE parseFloat(0.55).toFixed(0) = 0;
  s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
  if (s[0].length > 3) {
    s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
  }
  if ((s[1] || '').length < prec) {
    s[1] = s[1] || '';
    s[1] += new Array(prec - s[1].length + 1).join('0');
  }
  return s.join(dec);
}

// Area Chart Example
var ctx = document.getElementById("myAreaChart");
var myLineChart = new Chart(ctx, {
  type: 'line',
  data: {
    labels: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
    datasets: [{
      label: "Total Peserta",
      lineTension: 0.3,
      backgroundColor: "rgba(78, 115, 223, 0.05)",
      borderColor: "rgba(78, 115, 223, 1)",
      pointRadius: 3,
      pointBackgroundColor: "rgba(78, 115, 223, 1)",
      pointBorderColor: "rgba(78, 115, 223, 1)",
      pointHoverRadius: 3,
      pointHoverBackgroundColor: "rgba(78, 115, 223, 1)",
      pointHoverBorderColor: "rgba(78, 115, 223, 1)",
      pointHitRadius: 10,
      pointBorderWidth: 2,
      data: [<?php echo $data1; ?>, <?php echo $data2; ?>, <?php echo $data3; ?>, <?php echo $data4; ?>, <?php echo $data5; ?>, <?php echo $data6; ?>, <?php echo $data7; ?>, <?php echo $data8; ?>, <?php echo $data9; ?>, <?php echo $data10; ?>, <?php echo $data11; ?>, <?php echo $data12; ?>],
    }],
  },
  options: {
    maintainAspectRatio: false,
    layout: {
      padding: {
        left: 10,
        right: 25,
        top: 25,
        bottom: 0
      }
    },
    scales: {
      xAxes: [{
        time: {
          unit: 'date'
        },
        gridLines: {
          display: false,
          drawBorder: false
        },
        ticks: {
          maxTicksLimit: 7
        }
      }],
      yAxes: [{
        ticks: {
          maxTicksLimit: 5,
          padding: 10,
          // Include a dollar sign in the ticks
          callback: function(value, index, values) {
            return '' + number_format(value);
          }
        },
        gridLines: {
          color: "rgb(234, 236, 244)",
          zeroLineColor: "rgb(234, 236, 244)",
          drawBorder: false,
          borderDash: [2],
          zeroLineBorderDash: [2]
        }
      }],
    },
    legend: {
      display: false
    },
    tooltips: {
      backgroundColor: "rgb(255,255,255)",
      bodyFontColor: "#858796",
      titleMarginBottom: 10,
      titleFontColor: '#6e707e',
      titleFontSize: 14,
      borderColor: '#dddfeb',
      borderWidth: 1,
      xPadding: 15,
      yPadding: 15,
      displayColors: false,
      intersect: false,
      mode: 'index',
      caretPadding: 10,
      callbacks: {
        label: function(tooltipItem, chart) {
          var datasetLabel = chart.datasets[tooltipItem.datasetIndex].label || '';
          return datasetLabel + ':' + number_format(tooltipItem.yLabel);
        }
      }
    }
  }
});

</script>

<!-- PIE CHART -->
<script>
// Set new default font family and font color to mimic Bootstrap's default styling
Chart.defaults.global.defaultFontFamily = 'Nunito', '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';
Chart.defaults.global.defaultFontColor = '#858796';

// Pie Chart Example
var ctx = document.getElementById("myPieChart");
var myPieChart = new Chart(ctx, {
  type: 'doughnut',
  data: {
    labels: ["Gelombang Pendaftaran", "Jurusan", "Program Pelatihan"],
    datasets: [{
      data: [<?= $jml_gelombang ?>,<?= $jml_jurusan ?>,<?= $jml_pelatihan ?>],
      backgroundColor: ['#4e73df', '#1cc88a', '#36b9cc'],
      hoverBackgroundColor: ['#2e59d9', '#17a673', '#2c9faf'],
      hoverBorderColor: "rgba(234, 236, 244, 1)",
    }],
  },
  options: {
    maintainAspectRatio: false,
    tooltips: {
      backgroundColor: "rgb(255,255,255)",
      bodyFontColor: "#858796",
      borderColor: '#dddfeb',
      borderWidth: 1,
      xPadding: 15,
      yPadding: 15,
      displayColors: false,
      caretPadding: 10,
    },
    legend: {
      display: false
    },
    cutoutPercentage: 80,
  },
});
</script>