<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>Data Peserta</title>
  
  <!-- Custom fonts for this template-->
  <link href="../../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="../../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">
  <link href="../../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>
<body id="page-top">
<?php include 'header.php'; 
include '../../config/koneksi.php';
$no_test = $_GET['no_test'];
$peserta = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE no_test='$no_test'"); 
$d = mysqli_fetch_array($peserta);

//halaman error
if(mysqli_num_rows($peserta) == 0){
    echo '<script> window.location.href="../error.php"; </script>';
}
?>
<!-- Begin Page Content -->
<div class="container-fluid">
    <div class="col-lg-12">
        <div class="card mb-4" style="line-height:2.5">
            <div class="card-header bg-primary text-white">
                <h5 class="my-2"><i class="fa fa-eye"></i> Data Peserta</h5>
            </div>
            <div class="card-body">
                <?php 
                if(isset($_GET['pesan'])){
                    if($_GET['pesan'] == "peserta_lolos"){
                        echo '<div class="alert alert-success">Data peserta dengan nomor test <strong>'.$d['no_test'].'</strong> telah diupdate status seleksinya menjadi <strong>Lolos</strong></div>';
                    }
                    elseif($_GET['pesan'] == "peserta_tidak_lolos"){
                        echo '<div class="alert alert-success">Data peserta dengan nomor test <strong>'.$d['no_test'].'</strong> telah diupdate status seleksinya menjadi <strong>Tidak Lolos</strong></div>';
                    }
                }
                ?>
                <div class="row">
                    <div class="col-md-4">
                        <strong>Nomor Test</strong><br>
                        <p><?php echo $d['0']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>NIK</strong><br>
                        <p><?php echo $d['2']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Nama Lengkap</strong><br>
                        <p><?php echo $d['3']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Email</strong><br>
                        <p><?php echo $d['4']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Jenis Kelamin</strong><br>
                        <p><?php echo $d['5']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Tempat Lahir</strong><br>
                        <p><?php echo $d['6']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Tanggal Lahir</strong><br>
                        <p><?php echo $d['7']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Berat Badan</strong><br>
                        <p><?php echo $d['8']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Tinggi Badan</strong><br>
                        <p><?php echo $d['9']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Status Pekerjaan</strong><br>
                        <p><?php echo $d['10']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Status Perkawinan</strong><br>
                        <p><?php echo $d['11']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Gol. Darah</strong><br>
                        <p><?php echo $d['12']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Agama</strong><br>
                        <p><?php echo $d['13']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Nomor Handphone</strong><br>
                        <p><?php echo $d['14']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Pendidikan Terakhir</strong><br>
                        <p><?php echo $d['15']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Jurusan</strong><br>
                        <p><?php echo $d['16']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Asal Sekolah</strong><br>
                        <p><?php echo $d['17']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Alamat Lengkap</strong><br>
                        <p><?php echo $d['18']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Provinsi</strong><br>
                        <p><?php echo $d['19']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Kota / Kabupaten</strong><br>
                        <p><?php echo $d['20']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Tanggal Pendaftaran</strong><br>
                        <p><?php echo date('d F Y' ,strtotime($d['24'])); ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Program Pelatihan</strong><br>
                        <p><?php echo $d['25']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Kejuruan</strong><br>
                        <p><?php echo $d['28']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Status Seleksi</strong><br>
                        <p><?php echo $d['26']; ?></p>
                    </div>
                    <div class="col-md-4">
                        <strong>Gelombang</strong><br>
                        <p><?php echo $d['27']; ?></p>
                    </div>
                    <div class="col-md-4 mb-4">
                        <strong>Foto Diri</strong><br>
                        <img src="../../assets/images/pendaftar/<?php echo $d['21']; ?>" style="height:250px;width:250px;" class="img-thumbnail">
                    </div>
                    <div class="col-md-4 mb-4">
                        <strong>Foto KTP</strong><br>
                        <img src="../../assets/images/foto_ktp/<?php echo $d['22']; ?>" style="height:250px;width:250px;" class="img-thumbnail">
                    </div>
                    <div class="col-md-4 mb-4">
                        <strong>Foto Ijazah</strong><br>
                        <img src="../../assets/images/foto_ijazah/<?php echo $d['23']; ?>" style="height:250px;width:250px;" class="img-thumbnail">
                    </div>
                </div>
                <?php if($d['status_seleksi'] == "Menunggu Seleksi"){ ?>
                <form action="" method="POST">
                    <button onclick="return confirm('Anda yakin?')" name="lolos" class="btn btn-success"><i class="fa fa-check"></i> Lolos</button>
                    <button onclick="return confirm('Anda yakin?')" name="tidak_lolos" class="btn btn-danger"><i class="fa fa-times"></i> Tidak Lolos</button>
                </form>
                <?php } 
                if($d['status_seleksi'] !== "Menunggu Seleksi"){
                    echo '<div class="alert alert-info">Status Seleksi: '.$d['26'].'</div>';
                }
                ?>
            </div>
        </div>
    </div>
</div>
</div>
<?php 
if(isset($_POST['lolos'])){
    $update = mysqli_query($koneksi, "UPDATE pendaftaran_pelatihan SET status_seleksi='Lolos' WHERE no_test='$no_test'");
    $seleksi = "<strong>Lolos.</strong>";
    //notifikasi email
    require_once '../../email/pemberitahuan_seleksi.php';
    echo '<script> window.location.href="?no_test='.$no_test.'&pesan=peserta_lolos"; </script>';
}
elseif(isset($_POST['tidak_lolos'])){
    $update = mysqli_query($koneksi, "UPDATE pendaftaran_pelatihan SET status_seleksi='Tidak Lolos' WHERE no_test='$no_test'");
    $seleksi = "<strong>Tidak Lolos.</strong>";
     //notifikasi email
     require_once '../../email/pemberitahuan_seleksi.php';
    echo '<script> window.location.href="?no_test='.$no_test.'&pesan=peserta_tidak_lolos"; </script>';
}
?>
<?php include 'footer.php'; ?>
</body>
</html>
<!-- CK EDITOR -->
<script src="../../assets/editor/jquery.min.js"></script>
<script src="../../assets/editor/ckeditor/ckeditor.js"></script>

<!-- EDITOR -->
<script>
  $(function () {
    CKEDITOR.replace('editor')
    $('.textarea').wysihtml5()
  })
</script>