<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>Edit Ujian</title>
  
  <!-- Custom fonts for this template-->
  <link href="../../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="../../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">
  <link href="../../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>
<body id="page-top">
<?php include 'header.php'; 
include '../../config/koneksi.php';
$id = $_GET['id'];
$jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan WHERE id_jurusan='$id'"); 
$x = mysqli_fetch_assoc($jurusan);

//halaman error
if(mysqli_num_rows($jurusan) == 0){
    echo '<script> window.location.href="../error.php"; </script>';
}
?>
<!-- Begin Page Content -->
<div class="container-fluid">
    <div class="col-lg-12 mb-4">
        <div class="card" style="line-height:2.5">
            <div class="card-header bg-primary text-white">
                <h5 class="my-2"><i class="fa fa-edit"></i> Edit Jurusan</h5>
            </div>
            <div class="card-body">
                <?php 
                if(isset($_GET['pesan'])){
                    if($_GET['pesan'] == "ukuran_besar"){
                        echo '<div class="alert alert-danger">Ukuran foto terlalu besar!</div>';
                    }
                    elseif($_GET['pesan'] == "ekstensi_salah"){
                        echo '<div class="alert alert-danger">Ekstensi foto salah! yang diperbolehkan hanya .jpg, .jpeg dan .png!</div>';
                    }
                }
                ?>
                <form action="" method="post" enctype="multipart/form-data">
                    <label>ID jurusan</label>
                    <input type="text" name="id_jurusan" value="<?php echo $x['id_jurusan'] ?>" class="form-control">
                    
                    <label class="my-2">Nama Jurusan</label>
                    <input type="text" name="nama_jurusan" value="<?php echo $x['nama_jurusan'] ?>" class="form-control">
                    
                    <label class="my-2">Deskripsi Jurusan</label>
                    <textarea id="editor" name="deskripsi_jurusan" class="form-control" placeholder="Masukan nama jurusan..." required><?php echo $x['deskripsi_jurusan'] ?></textarea>
                    
                    <label class="my-2">Foto</label><br/>
                    <img src="../../assets/images/jurusan/<?php echo $x['foto']; ?>" style="height:150px;width:250px;"><br/>
                    <input type="file" name="foto" class="form-control h-100 my-2">
                    <button name="update" class="btn btn-primary my-4 w-100">Update</button>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
<?php 
if(isset($_POST['update'])){
    $id_jurusan = $_POST['id_jurusan'];
    $nama_jurusan = $_POST['nama_jurusan'];
    $deskripsi = $_POST['deskripsi_jurusan'];
    
    $foto = $_FILES['foto']['name'];
    $size = $_FILES['foto']['size'];
    $tmp = $_FILES['foto']['tmp_name'];

    $x = explode('.', $foto);
    $ekstensi_foto = strtolower(end($x));

    $ekstensi = array('jpg', 'jpeg', 'png');

    if($foto == ""){
        $update =   mysqli_query($koneksi, "UPDATE jurusan SET id_jurusan='$id_jurusan', nama_jurusan='$nama_jurusan', 
                    deskripsi_jurusan='$deskripsi' WHERE id_jurusan='".$_GET['id']."' ");
        echo '<script> window.location.href="../data-jurusan.php?pesan=diupdate"; </script>';
    }
    else{
        if($size < 3123250){
            if(in_array($ekstensi_foto, $ekstensi) === true){
                $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan WHERE id_jurusan='$id'"); 
                $x = mysqli_fetch_assoc($jurusan);
                $fileName = "../../assets/images/jurusan/".$x['foto'];
                unlink($fileName);
                move_uploaded_file($tmp, "../../assets/images/jurusan/$foto");
                $update = mysqli_query($koneksi, "UPDATE jurusan SET id_jurusan='$id_jurusan', nama_jurusan='$nama_jurusan', 
                        deskripsi_jurusan='$deskripsi', foto='$foto' WHERE id_jurusan='".$_GET['id']."' ");
                echo '<script> window.location.href="../data-jurusan.php?pesan=diupdate"; </script>';

            }else{
                echo '<script> window.location.href="?id='.$_GET['id'].'&pesan=ekstensi_salah"; </script>';
            }
        }else{
            echo '<script> window.location.href="?id='.$_GET['id'].'&pesan=ukuran_besar"; </script>';
        }
    }
}
?>
<?php include 'footer.php'; ?>
</body>
</html>
<!-- CK EDITOR -->
<script src="../../assets/editor/jquery.min.js"></script>
<script src="../../assets/editor/ckeditor/ckeditor.js"></script>

<!-- EDITOR -->
<script>
  $(function () {
    CKEDITOR.replace('editor')
    $('.textarea').wysihtml5()
  })
</script>