<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>Update Data Peserta</title>
  
  <!-- Custom fonts for this template-->
  <link href="../../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="../../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">
  <link href="../../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>
<body id="page-top">
<?php include 'header.php'; 
include '../../config/koneksi.php';
$no_test = $_GET['no_test'];
$peserta = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE no_test='$no_test'"); 
$d = mysqli_fetch_array($peserta);

//halaman error
if(mysqli_num_rows($peserta) == 0){
    echo '<script> window.location.href="../error.php"; </script>';
}
?>
<!-- Begin Page Content -->
<div class="container-fluid">
    <div class="col-lg-12">
        <div class="card mb-4" style="line-height:2.5">
            <div class="card-header bg-primary text-white">
                <h5 class="my-2"><i class="fa fa-edit"></i> Update Data Peserta</h5>
            </div>
            <div class="card-body">
                <?php 
                if(isset($_GET['pesan'])){
                    if($_GET['pesan'] == "peserta_lolos"){
                        echo '<div class="alert alert-success">Data peserta dengan nomor test <strong>'.$d['no_test'].'</strong> telah diupdate status seleksinya menjadi <strong>Lolos</strong></div>';
                    }
                    elseif($_GET['pesan'] == "peserta_tidak_lolos"){
                        echo '<div class="alert alert-success">Data peserta dengan nomor test <strong>'.$d['no_test'].'</strong> telah diupdate status seleksinya menjadi <strong>Tidak Lolos</strong></div>';
                    }
                }
                ?>
                <form action="" method="POST" enctype="multipart/form-data">
                <div class="row">
                    <div class="col-md-4">
                        <strong>Nomor Test</strong><br>
                        <input type="text" class="form-control" name="nomor_test" value="<?php echo $d['0']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>NIK</strong><br>
                        <input type="text" class="form-control" name="nik" value="<?php echo $d['2']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Nama Lengkap</strong><br>
                        <input type="text" class="form-control" name="nama_lengkap" value="<?php echo $d['3']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Email</strong><br>
                        <input type="email" class="form-control" name="email" value="<?php echo $d['4']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Jenis Kelamin</strong><br>
                        <input type="text" class="form-control" name="jenkel" value="<?php echo $d['5']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Tempat Lahir</strong><br>
                        <input type="text" class="form-control" name="tempat_lahir" value="<?php echo $d['6']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Tanggal Lahir</strong><br>
                        <input type="date" class="form-control" name="tanggal_lahir" value="<?php echo $d['7']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Berat Badan (kg)</strong><br>
                        <input type="text" class="form-control" name="berat_badan" value="<?php echo $d['8']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Tinggi Badan (cm)</strong><br>
                        <input type="text" class="form-control" name="tinggi_badan" value="<?php echo $d['9']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Status Pekerjaan</strong><br>
                        <input type="text" class="form-control" name="status_pekerjaan" value="<?php echo $d['10']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Status Perkawinan</strong><br>
                        <input type="text" class="form-control" name="status_perkawinan" value="<?php echo $d['11']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Gol. Darah</strong><br>
                        <input type="text" class="form-control" name="gol_darah" value="<?php echo $d['12']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Agama</strong><br>
                        <input type="text" class="form-control" name="agama" value="<?php echo $d['13']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Nomor Handphone</strong><br>
                        <input type="text" class="form-control" name="nomor_hp" value="<?php echo $d['14']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Pendidikan Terakhir</strong><br>
                        <input type="text" class="form-control" name="pendidikan_terakhir" value="<?php echo $d['15']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Jurusan</strong><br>
                        <input type="text" class="form-control" name="jurusan" value="<?php echo $d['16']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Asal Sekolah</strong><br>
                        <input type="text" class="form-control" name="asal_sekolah" value="<?php echo $d['17']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Alamat Lengkap</strong><br>
                        <input type="text" class="form-control" name="alamat_lengkap" value="<?php echo $d['18']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Provinsi</strong><br>
                        <input type="text" class="form-control" name="provinsi" value="<?php echo $d['19']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Kota / Kabupaten</strong><br>
                        <input type="text" class="form-control" name="kota_kabupaten" value="<?php echo $d['20']; ?>">
                    </div>
                    <div class="col-md-4">
                        <strong>Program Pelatihan</strong><br>
                        <input type="text" class="form-control" name="program_pelatihan" value="<?php echo $d['25']; ?>">
                    </div>
                    <div class="col-md-12">
                        <strong>Gelombang</strong><br>
                        <input type="text" class="form-control" name="gelombang" value="<?php echo $d['27']; ?>">
                    </div>
                    <div class="col-md-4 mb-4">
                        <strong>Foto Diri</strong><br>
                        <img src="../../assets/images/pendaftar/<?php echo $d['21']; ?>" style="height:250px;width:350px;" class="img-thumbnail">
                        <input type="file" class="form-control my-4" style="height:45px;" name="foto">
                    </div>
                </div>
                <button name="simpan" class="btn btn-primary w-100">Simpan</button>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
<?php 
if(isset($_POST['simpan'])){
    $nomor_test = $_POST['nomor_test'];
    $nik = $_POST['nik'];
    $nama_lengkap = $_POST['nama_lengkap'];
    $email = $_POST['email'];
    $jenkel = $_POST['jenkel'];
    $tempat_lahir = $_POST['tempat_lahir'];
    $tanggal_lahir = $_POST['tanggal_lahir'];
    $berat_badan = $_POST['berat_badan'];
    $tinggi_badan = $_POST['tinggi_badan'];
    $status_pekerjaan = $_POST['status_pekerjaan'];
    $status_perkawinan = $_POST['status_perkawinan'];
    $gol_darah = $_POST['gol_darah'];
    $agama = $_POST['agama'];
    $nomor_hp = $_POST['nomor_hp'];
    $pendidikan_terakhir = $_POST['pendidikan_terakhir'];
    $jurusan = $_POST['jurusan'];
    $asal_sekolah = $_POST['asal_sekolah'];
    $alamat_lengkap = $_POST['alamat_lengkap'];
    $provinsi = $_POST['provinsi'];
    $kota_kabupaten = $_POST['kota_kabupaten'];
    $program_pelatihan = $_POST['program_pelatihan'];
    $gelombang = $_POST['gelombang'];

    //foto
    $foto = $_FILES['foto']['name'];
    $size = $_FILES['foto']['size'];
    $tmp_name = $_FILES['foto']['tmp_name'];

    //ekstensi foto
    $x = explode('.', $foto);
    $foto_diri = strtolower(end($x));

    //ekstensi yang tersedia
    $ekstensi_available = array('jpg', 'jpeg', 'png');
    
    if($foto == ""){
        $update = mysqli_query($koneksi, "UPDATE pendaftaran_pelatihan SET no_test='$nomor_test', nik='$nik', nama_lengkap='$nama_lengkap', email='$email', jenis_kelamin='$jenkel', tempat_lahir='$tempat_lahir', tanggal_lahir='$tanggal_lahir', berat_badan='$berat_badan', tinggi_badan='$tinggi_badan', status_pekerjaan='$status_pekerjaan', status_perkawinan='$status_perkawinan', gol_darah='$gol_darah', agama='$agama', nomor_hp='$nomor_hp', pendidikan_terakhir='$pendidikan_terakhir', jurusan='$jurusan', asal_sekolah='$asal_sekolah', alamat_lengkap='$alamat_lengkap', provinsi='$provinsi', kota_kabupaten='$kota_kabupaten', program_pelatihan='$program_pelatihan', gelombang='$gelombang' ");
        echo '<script> window.location.href="../data-peserta.php?pesan=berhasil_diupdate"; </script>';
    }

    elseif($size < 3123450){
        if(in_array($foto_diri, $ekstensi_available) === true){
            unlink("../../assets/images/pendaftar/".$d['foto']);
            move_uploaded_file($tmp_name, "../../assets/images/pendaftar/$foto");
            $update = mysqli_query($koneksi, "UPDATE pendaftaran_pelatihan SET no_test='$nomor_test', nik='$nik', nama_lengkap='$nama_lengkap', email='$email', jenis_kelamin='$jenkel', tempat_lahir='$tempat_lahir', tanggal_lahir='$tanggal_lahir', berat_badan='$berat_badan', tinggi_badan='$tinggi_badan', status_pekerjaan='$status_pekerjaan', status_perkawinan='$status_perkawinan', gol_darah='$gol_darah', agama='$agama', nomor_hp='$nomor_hp', pendidikan_terakhir='$pendidikan_terakhir', jurusan='$jurusan', asal_sekolah='$asal_sekolah', alamat_lengkap='$alamat_lengkap', provinsi='$provinsi', kota_kabupaten='$kota_kabupaten', foto='$foto', program_pelatihan='$program_pelatihan', gelombang='$gelombang' ");
            echo '<script> window.location.href="../data-peserta.php?pesan=berhasil_diupdate"; </script>';
        }else{
            echo '<script> window.location.href="?no_test='.$no_test.'&pesan=ekstensi_salah"; </script>';
        }
    }else{
        echo '<script> window.location.href="?no_test='.$no_test.'&pesan=ukuran_besar"; </script>';
    }
}
?>
<?php include 'footer.php'; ?>
</body>
</html>
<!-- CK EDITOR -->
<script src="../../assets/editor/jquery.min.js"></script>
<script src="../../assets/editor/ckeditor/ckeditor.js"></script>

<!-- EDITOR -->
<script>
  $(function () {
    CKEDITOR.replace('editor')
    $('.textarea').wysihtml5()
  })
</script>