-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Waktu pembuatan: 14 Jul 2019 pada 16.39
-- Versi server: 10.1.36-MariaDB
-- Versi PHP: 7.0.32

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `project_pelatihan`
--

-- --------------------------------------------------------

--
-- Struktur dari tabel `gelombang_pendaftaran`
--

CREATE TABLE `gelombang_pendaftaran` (
  `id_gelombang` int(11) NOT NULL,
  `gelombang` varchar(30) NOT NULL,
  `periode_awal` date NOT NULL,
  `periode_akhir` date NOT NULL,
  `jumlah_pelatihan` int(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `gelombang_pendaftaran`
--

INSERT INTO `gelombang_pendaftaran` (`id_gelombang`, `gelombang`, `periode_awal`, `periode_akhir`, `jumlah_pelatihan`) VALUES
(1, 'Gelombang 1', '2019-06-09', '2019-07-21', 7);

-- --------------------------------------------------------

--
-- Struktur dari tabel `jurusan`
--

CREATE TABLE `jurusan` (
  `id_jurusan` varchar(30) NOT NULL,
  `nama_jurusan` varchar(50) NOT NULL,
  `deskripsi_jurusan` varchar(1000) NOT NULL,
  `foto` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `jurusan`
--

INSERT INTO `jurusan` (`id_jurusan`, `nama_jurusan`, `deskripsi_jurusan`, `foto`) VALUES
('TKJ', 'Teknik Komputer Jaringan', '<p>Teknik Informatika adalah sebuah jurusan yang membahas mengenai hardware</p>\r\n', 'windows1.jpg'),
('TKM', 'Teknik Manufaktur', '<p>Materi pelatihan untuk Program Pelatihan Operator Mesin CNC adalah :</p>\r\n\r\n<ol>\r\n	<li>Menerapkan prinsip-prinsip keselamatan dan kesehatan kerja</li>\r\n	<li>Mengukur dengan menggunakan alat ukur</li>\r\n	<li>Membaca gambar teknik</li>\r\n	<li>Menggunakan perkakas tangan</li>\r\n	<li>Mengoperasikan mesin CNC/NC (dasar)</li>\r\n	<li>Mengeset mesin dan program mesin CNC/NC (dasar)</li>\r\n	<li>Bekerja dengan mesin umum</li>\r\n</ol>\r\n\r\n<p>Adapun lama pelatihan Operator Mesin CNC selama 520 Jam Pelatihan (se', 'manufaktur.jpg'),
('TKR', 'Teknik Kendaraan Ringan', '<p>Membantu anda menjadi montir</p>\r\n', 'orang.jpg');

-- --------------------------------------------------------

--
-- Struktur dari tabel `konfigurasi_email`
--

CREATE TABLE `konfigurasi_email` (
  `id` int(11) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `konfigurasi_email`
--

INSERT INTO `konfigurasi_email` (`id`, `username`, `password`) VALUES
(1, 'irvan.s.28.is@gmail.com', 'maimunah55');

-- --------------------------------------------------------

--
-- Struktur dari tabel `kuota`
--

CREATE TABLE `kuota` (
  `id` int(11) NOT NULL,
  `id_pelatihan` int(11) NOT NULL,
  `tipe` varchar(100) NOT NULL,
  `kejuruan` varchar(100) NOT NULL,
  `kuota` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `kuota`
--

INSERT INTO `kuota` (`id`, `id_pelatihan`, `tipe`, `kejuruan`, `kuota`) VALUES
(5, 6547220, 'kejuruan1', 'Teknik Komputer Jaringan', 20),
(7, 5, 'kejuruan1', 'Teknik Komputer Jaringan', 70),
(8, 5, 'kejuruan2', 'Teknik Manufaktur', 50),
(9, 5, 'kejuruan3', 'Teknik Kendaraan Ringan', 100),
(11, 2, 'kejuruan1', 'Teknik Komputer Jaringan', 10);

-- --------------------------------------------------------

--
-- Struktur dari tabel `notifications`
--

CREATE TABLE `notifications` (
  `id_notif` int(11) NOT NULL,
  `isi_notif` varchar(500) NOT NULL,
  `status_baca` varchar(10) NOT NULL,
  `date_record` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `notifications`
--

INSERT INTO `notifications` (`id_notif`, `isi_notif`, `status_baca`, `date_record`) VALUES
(1, 'Irvan Sulistio ingin mendaftarkan program pelatihan Pelatihan web developer. Cek selengkapnya <a href=\"detail-peserta.php?no_test=1011941\">disini</a> ', 'Y', '2019-06-13 13:33:08'),
(2, 'Irvan Sulistio ingin mendaftarkan program pelatihan Instalasi Jaringan Mikrotik. Cek selengkapnya <a href=\"detail-peserta.php?no_test=9060131\">disini</a> ', 'Y', '2019-06-27 16:51:06'),
(3, 'Irvan Sulistio ingin mendaftarkan program pelatihan Web Designer. Cek selengkapnya <a href=\"detail-peserta.php?no_test=1455094\">disini</a> ', 'Y', '2019-07-07 13:47:13'),
(4, 'Irvan Sulistio ingin mendaftarkan program pelatihan Pelatihan Kompetensi. Cek selengkapnya <a href=\"detail-peserta.php?no_test=1260519\">disini</a> ', 'Y', '2019-07-13 16:45:21'),
(5, 'Irvan Sulistio ingin mendaftarkan program pelatihan Jaringan Listrik. Cek selengkapnya <a href=\"detail-peserta.php?no_test=1223879\">disini</a> ', 'Y', '2019-07-14 19:44:52');

-- --------------------------------------------------------

--
-- Struktur dari tabel `pages`
--

CREATE TABLE `pages` (
  `id_pages` int(11) NOT NULL,
  `judul` varchar(100) NOT NULL,
  `konten` varchar(1000) NOT NULL,
  `date_record` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `pages`
--

INSERT INTO `pages` (`id_pages`, `judul`, `konten`, `date_record`) VALUES
(1, 'Tentang Kami', '<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Aspernatur esse iusto veniam dolorem? Et cumque assumenda id cum vero reiciendis dolorem minus culpa architecto corrupti. Quia laborum id optio aliquam!.&nbsp;Lorem ipsum dolor sit amet consectetur adipisicing elit. Aspernatur esse iusto veniam dolorem? Et cumque assumenda id cum vero reiciendis dolorem minus culpa architecto corrupti. Quia laborum id optio aliquam!</p>\r\n', '2019-06-14 12:32:00');

-- --------------------------------------------------------

--
-- Struktur dari tabel `pendaftaran_pelatihan`
--

CREATE TABLE `pendaftaran_pelatihan` (
  `no_test` int(11) NOT NULL,
  `id` int(10) NOT NULL,
  `nik` varchar(30) NOT NULL,
  `nama_lengkap` varchar(100) NOT NULL,
  `email` varchar(50) NOT NULL,
  `jenis_kelamin` varchar(10) NOT NULL,
  `tempat_lahir` varchar(100) NOT NULL,
  `tanggal_lahir` date NOT NULL,
  `berat_badan` int(5) NOT NULL,
  `tinggi_badan` int(5) NOT NULL,
  `status_pekerjaan` varchar(50) NOT NULL,
  `status_perkawinan` varchar(30) NOT NULL,
  `gol_darah` varchar(5) NOT NULL,
  `agama` varchar(30) NOT NULL,
  `nomor_hp` varchar(20) NOT NULL,
  `pendidikan_terakhir` varchar(20) NOT NULL,
  `jurusan` varchar(50) NOT NULL,
  `asal_sekolah` varchar(100) NOT NULL,
  `alamat_lengkap` varchar(200) NOT NULL,
  `provinsi` varchar(100) NOT NULL,
  `kota_kabupaten` varchar(100) NOT NULL,
  `foto` varchar(100) NOT NULL,
  `foto_ktp` varchar(50) NOT NULL,
  `foto_ijazah` varchar(50) NOT NULL,
  `date_record` datetime NOT NULL,
  `program_pelatihan` varchar(50) NOT NULL,
  `status_seleksi` varchar(20) NOT NULL,
  `gelombang` varchar(20) NOT NULL,
  `kejuruan` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `pendaftaran_pelatihan`
--

INSERT INTO `pendaftaran_pelatihan` (`no_test`, `id`, `nik`, `nama_lengkap`, `email`, `jenis_kelamin`, `tempat_lahir`, `tanggal_lahir`, `berat_badan`, `tinggi_badan`, `status_pekerjaan`, `status_perkawinan`, `gol_darah`, `agama`, `nomor_hp`, `pendidikan_terakhir`, `jurusan`, `asal_sekolah`, `alamat_lengkap`, `provinsi`, `kota_kabupaten`, `foto`, `foto_ktp`, `foto_ijazah`, `date_record`, `program_pelatihan`, `status_seleksi`, `gelombang`, `kejuruan`) VALUES
(1223879, 28124, '0727726173627', 'Irvan Sulistio', 'irvansulis23@gmail.com', 'L', 'Jakarta', '2019-07-29', 55, 174, 'SUDAH BEKERJA', 'SUDAH KAWIN', 'O', 'Islam', '087770326123', 'D3', 'Rekayasa Perangkat Lunak', 'SMKN 5 Kota Bekasi', 'Jalan kahirupan palembang', 'SUMATERA SELATAN', 'KOTA PALEMBANG', 'images (20).jpeg', 'cimon.jpg', 'avengedsevenfolda7x.jpg', '2019-07-14 19:44:52', 'Jaringan Listrik', 'Lolos', 'Gelombang 1', 'Teknik Manufaktur'),
(1455094, 25320, '0727726173627', 'Irvan Sulistio', 'sulistioirvan@gmail.com', 'L', 'Jakarta', '2019-07-09', 70, 180, 'SUDAH BEKERJA', 'BELUM KAWIN', 'O', 'Islam', '087770326123', 'S1', 'Teknik Informatika', 'Universitas Indonesia', 'Jalan kahirupan palembang', 'SUMATERA SELATAN', 'KOTA PALEMBANG', 'cimon.jpg', 'aaronramsey.jpg', 'bayernmunchen.jpg', '2019-07-07 13:47:13', 'Web Designer', 'Lolos', 'Gelombang 1', 'Teknik Komputer Jaringan');

-- --------------------------------------------------------

--
-- Struktur dari tabel `program_pelatihan`
--

CREATE TABLE `program_pelatihan` (
  `id_pelatihan` int(11) NOT NULL,
  `nama_pelatihan` varchar(100) NOT NULL,
  `deskripsi` varchar(1000) NOT NULL,
  `kejuruan_1` varchar(100) NOT NULL,
  `kejuruan_2` varchar(100) NOT NULL,
  `kejuruan_3` varchar(100) NOT NULL,
  `kejuruan_4` varchar(100) NOT NULL,
  `kejuruan_5` varchar(100) NOT NULL,
  `kejuruan_6` varchar(100) NOT NULL,
  `kejuruan_7` varchar(100) NOT NULL,
  `kejuruan_8` varchar(100) NOT NULL,
  `kejuruan_9` varchar(100) NOT NULL,
  `kejuruan_10` varchar(100) NOT NULL,
  `gelombang` varchar(50) NOT NULL,
  `waktu_pelatihan` varchar(10) NOT NULL,
  `tanggal_seleksi` date NOT NULL,
  `date_record` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `program_pelatihan`
--

INSERT INTO `program_pelatihan` (`id_pelatihan`, `nama_pelatihan`, `deskripsi`, `kejuruan_1`, `kejuruan_2`, `kejuruan_3`, `kejuruan_4`, `kejuruan_5`, `kejuruan_6`, `kejuruan_7`, `kejuruan_8`, `kejuruan_9`, `kejuruan_10`, `gelombang`, `waktu_pelatihan`, `tanggal_seleksi`, `date_record`) VALUES
(2, 'Pelatihan web developer', '<p>LOREM LOREM LOREM LOREM LOREM LOREM LOREM LOREM</p>\r\n', 'Teknik Komputer Jaringan', '', '', '', '', '', '', '', '', '', 'Gelombang 1', '5', '2019-06-27', '2019-06-09 22:15:15'),
(3, 'Instalasi Jaringan Mikrotik', '<p>Instalasi jaringan mikrotik</p>\r\n', 'Teknik Komputer Jaringan', '', '', '', '', '', '', '', '', '', 'Gelombang 1', '12', '2019-06-30', '2019-06-09 22:27:51'),
(4, 'Web Designer', '<p>tes pelatihan</p>\r\n', 'Teknik Komputer Jaringan', '', '', '', '', '', '', '', '', '', 'Gelombang 1', '14', '2019-06-30', '2019-06-27 17:26:39'),
(5, 'Pelatihan Kompetensi', '<p>pelatihan yang memusatkan untuk kompetensi</p>\r\n', 'Teknik Komputer Jaringan', 'Teknik Manufaktur', 'Teknik Kendaraan Ringan', '', '', '', '', '', '', '', 'Gelombang 1', '15', '2019-07-27', '2019-07-13 11:53:25'),
(6547220, 'Jaringan Listrik', '<p>Instalasi jaringan listrik</p>\r\n', 'Teknik Komputer Jaringan', '', '', '', '', '', '', '', '', '', 'Gelombang 1', '15', '2019-07-31', '2019-07-14 19:27:04');

-- --------------------------------------------------------

--
-- Struktur dari tabel `user`
--

CREATE TABLE `user` (
  `id` varchar(30) NOT NULL,
  `nama_lengkap` varchar(50) NOT NULL,
  `email` varchar(30) NOT NULL,
  `password` varchar(30) NOT NULL,
  `level` varchar(10) NOT NULL,
  `date_registered` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data untuk tabel `user`
--

INSERT INTO `user` (`id`, `nama_lengkap`, `email`, `password`, `level`, `date_registered`) VALUES
('25320', 'Irvan Sulistio', 'sulistioirvan@gmail.com', '281108', 'user', '2019-06-07 13:21:29'),
('28124', 'Irvan Sulistio', 'irvansulis23@gmail.com', '12345', 'user', '2019-07-13 15:59:00'),
('31230', 'Admin', 'admin@gmail.com', '12345', 'admin', '2019-06-07 07:23:22');

--
-- Indexes for dumped tables
--

--
-- Indeks untuk tabel `gelombang_pendaftaran`
--
ALTER TABLE `gelombang_pendaftaran`
  ADD PRIMARY KEY (`id_gelombang`);

--
-- Indeks untuk tabel `jurusan`
--
ALTER TABLE `jurusan`
  ADD PRIMARY KEY (`id_jurusan`);

--
-- Indeks untuk tabel `konfigurasi_email`
--
ALTER TABLE `konfigurasi_email`
  ADD PRIMARY KEY (`id`);

--
-- Indeks untuk tabel `kuota`
--
ALTER TABLE `kuota`
  ADD PRIMARY KEY (`id`);

--
-- Indeks untuk tabel `notifications`
--
ALTER TABLE `notifications`
  ADD PRIMARY KEY (`id_notif`);

--
-- Indeks untuk tabel `pages`
--
ALTER TABLE `pages`
  ADD PRIMARY KEY (`id_pages`);

--
-- Indeks untuk tabel `pendaftaran_pelatihan`
--
ALTER TABLE `pendaftaran_pelatihan`
  ADD PRIMARY KEY (`no_test`);

--
-- Indeks untuk tabel `program_pelatihan`
--
ALTER TABLE `program_pelatihan`
  ADD PRIMARY KEY (`id_pelatihan`);

--
-- Indeks untuk tabel `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT untuk tabel yang dibuang
--

--
-- AUTO_INCREMENT untuk tabel `gelombang_pendaftaran`
--
ALTER TABLE `gelombang_pendaftaran`
  MODIFY `id_gelombang` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT untuk tabel `konfigurasi_email`
--
ALTER TABLE `konfigurasi_email`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT untuk tabel `kuota`
--
ALTER TABLE `kuota`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;

--
-- AUTO_INCREMENT untuk tabel `notifications`
--
ALTER TABLE `notifications`
  MODIFY `id_notif` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT untuk tabel `pages`
--
ALTER TABLE `pages`
  MODIFY `id_pages` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT untuk tabel `pendaftaran_pelatihan`
--
ALTER TABLE `pendaftaran_pelatihan`
  MODIFY `no_test` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1455095;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
