<!doctype html>
<html lang="en">
<head>
    <!--====== Required meta tags ======-->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!--====== Title ======-->
    <title>Pages - Pendaftaran</title> 
</head>

<body>
<?php include 'header.php'; ?>

<!--====== PAGE BANNER PART START ======-->
<section id="page-banner" class="pt-105 pb-110 bg_cover" data-overlay="8" style="background-image: url(assets/images/homepage/slider1.jpg)">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="page-banner-cont">
                    <h2>Pendaftaran</h2>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Pendaftaran</li>
                        </ol>
                    </nav>
                </div>  <!-- page banner cont -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>
<!--====== PAGE BANNER PART ENDS ======-->

<section id="contact-page" class="pt-90 pb-120 gray-bg" style="margin-bottom:-20px;">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="contact-from mt-30">
                <?php 
                if(isset($_GET['pesan'])){
                    if($_GET['pesan'] == "gelombang_habis"){
                        echo '<div class="alert alert-warning">Program pelatihan ini masa gelombangnya telah habis</div>';
                    }
                }
                ?>
                    <div class="section-title">
                        <h3>Pendaftaran</h3>
                        <p class="my-4">Pendaftaran gratis! tidak dipungut biaya apapun</p>
                    </div> <!-- section title -->
                    <div class="main-form">
                        <div class="row">
                            <div class="col-md-12">
                                <form action="" method="POST">
                                    <label>Pilih kejuruan yang anda inginkan</label>
                                    <select name="jurusan" class="form control w-100">
                                    <?php 
                                    include 'config/koneksi.php';
                                    $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");  
                                    while($j = mysqli_fetch_assoc($jurusan)){ ?>
                                        <option><?php echo $j['nama_jurusan']; ?></option>
                                    <?php } ?>
                                    </select><br/>
                                    <button name="submit" class="btn btn-warning my-2 text-white">Submit</button>
                                </form>
                            </div>
                            
                            <?php if(isset($_POST['submit'])){ ?>
                            <div class="col-md-12 pt-20">
                                <form action="" method="POST">
                                    <?php 
                                    $pelatihan = mysqli_query($koneksi, "SELECT * FROM program_pelatihan WHERE kejuruan_1='".$_POST['jurusan']."'
                                                            OR kejuruan_2='".$_POST['jurusan']."' OR kejuruan_3='".$_POST['jurusan']."' OR kejuruan_4='".$_POST['jurusan']."'
                                                            OR kejuruan_5='".$_POST['jurusan']."' OR kejuruan_6='".$_POST['jurusan']."' OR kejuruan_7='".$_POST['jurusan']."'
                                                            OR kejuruan_8='".$_POST['jurusan']."' OR kejuruan_9='".$_POST['jurusan']."' OR kejuruan_10='".$_POST['jurusan']."'");  
                                    if(mysqli_num_rows($pelatihan) > 0){ ?>
                                        <label>Pilih pelatihan yang anda inginkan</label>
                                        <select name="pelatihan" class="form control w-100">
                                        <?php 
                                        include 'config/koneksi.php';
                                        while($p = mysqli_fetch_assoc($pelatihan)){ ?>
                                            <option value="<?php echo $p['id_pelatihan']; ?>"><?php echo $p['nama_pelatihan']. " (".$p['gelombang']. " ". substr($p['date_record'],0,4). ")"; ?></option>
                                        <?php } ?>
                                        </select><br/>
                                        <input type="hidden" name="jurusan" value="<?php echo $_POST['jurusan']; ?>">
                                        <button name="getsubmit" class="btn btn-warning my-2 text-white">Submit</button>
                                </form>
                                <?php }
                                if(mysqli_num_rows($pelatihan) == 0){
                                    echo 'Tidak ada pelatihan yang tersedia saat ini untuk jurusan <strong>'.$_POST['jurusan'].'</strong> ';
                                }
                                ?>
                            </div>
                            <?php } 
                            if(isset($_POST['getsubmit'])){
                                $pelatihan = $_POST['pelatihan'];
                                $kejuruan = $_POST['jurusan'];
                                echo '<script> window.location.href="users/view/isi-pendaftaran.php?pelatihan='.$pelatihan.'&kejuruan='.$kejuruan.'"; </script>';
                            } 
                            ?>
                        </div> <!-- row -->
                    </div> <!-- main form -->
                </div> <!--  contact from -->
            </div>
        </div> <!-- main form -->
    </div> <!--  contact from -->
</div>
</div> <!-- row -->
</div> <!-- container -->
</section>

<?php include 'footer.php'; ?>
</body>
</html>