<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Data Jurusan</title>

  <!-- Custom fonts for this template-->
  <link href="../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">
  <link href="../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>

<body id="page-top">
<?php include 'header.php'; ?>

 <!-- Begin Page Content -->
 <div class="container-fluid">

<!-- Page Heading -->
<h1 class="h3 mb-4 text-gray-800">Data Jurusan</h1>

<!-- DataTales Example -->
<div class="card shadow mb-4">
    <div class="card-header py-3 bg-primary">
        <h6 class="m-0 font-weight-bold text-white">Data Seluruh Jurusan</h6>
    </div>
    <div class="card-body">
    <?php 
    if(isset($_GET['pesan'])){
        if($_GET['pesan'] == "diupdate"){
            echo '<div class="alert alert-success">Data jurusan berhasil diubah!</div>';
        }
    }
    ?>
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalLong"><i class="fa fa-plus-circle"></i> Tambah Jurusan</button><br/><br/>
        <div class="modal fade" id="exampleModalLong">
            <div class="modal-dialog">
                <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title">Tambah Jurusan</h5>
                            <button type="button" class="close" data-dismiss="modal"><span>&times;</span></button>
                        </div>
                        <div class="modal-body">
                            <form action="" method="POST" enctype="multipart/form-data">
                            <label>ID jurusan</label>
                            <input type="text" name="id_jurusan" class="form-control" placeholder="Masukan ID jurusan..." required><br>
                            <label>Nama jurusan</label>
                            <input type="text" name="nama_jurusan" class="form-control" placeholder="Masukan nama jurusan..." required><br>
                            <label>Deskripsi jurusan</label>
                            <textarea id="editor" name="deskripsi_jurusan" class="form-control" placeholder="Masukan nama jurusan..." required></textarea><br>
                            <label>Gambar</label>
                            <input type="file" name="foto" class="form-control h-100" ><br>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            <button name="proses" class="btn btn-primary">Submit</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>ID Jurusan</th>
                            <th>Nama Jurusan</th>
                            <th>Gambar</th>
                            <th>Opsion</th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php 
                    include '../config/koneksi.php';
                    $data = mysqli_query($koneksi, "SELECT * FROM jurusan");
                    while($d = mysqli_fetch_assoc($data)){
                    ?>
                        <tr>
                            <td><?php echo $d['id_jurusan'] ?></td>
                            <td><?php echo $d['nama_jurusan'] ?></td>
                            <td><img style="height:100px;width:100px;" class="img-thumbnail" src="../assets/images/jurusan/<?php echo $d['foto']; ?>"></td>
                            <td>
                                <a class="text-secondary" href="view/edit-jurusan.php?id=<?php echo $d['id_jurusan']; ?>"><i class="fa fa-edit text-secondary"></i> Edit</a>
                                <a onclick="return confirm('Anda yakin?')" class="text-danger" href="opsi/hps-jurusan.php?id=<?php echo $d['id_jurusan']; ?>"><i class="fa fa-trash text-danger"></i> Hapus</a>
                            </td>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<!-- /.container-fluid -->
</div>

<?php include 'footer.php'; 
if(isset($_POST['proses'])){
    $id_jurusan = htmlspecialchars($_POST['id_jurusan']);
    $nama_jurusan = htmlspecialchars($_POST['nama_jurusan']);
    $deskripsi = $_POST['deskripsi_jurusan'];
    $foto = $_FILES['foto']['name'];
    $size = $_FILES['foto']['size'];
    $lokasi = $_FILES['foto']['tmp_name'];
    //ekstensi foto
    $ekstensi_available = array('jpg', 'png', 'jpeg');
    $x = explode('.', $foto);
    $ekstensi_foto = strtolower(end($x));
    if(in_array($ekstensi_foto, $ekstensi_available) === true){
        if($size < 5123450){
            move_uploaded_file($lokasi, "../assets/images/jurusan/$foto");
            $query = mysqli_query($koneksi, "INSERT into jurusan VALUES('$id_jurusan', '$nama_jurusan', '$deskripsi', '$foto')");
            echo '<script> window.location.href="?pesan=berhasil_ditambah"; </script>'; 
        }else{
            echo '<script> window.location.href="?pesan=ukuran_besar"; </script>'; 
        }
    }else{
        echo '<script> window.location.href="?pesan=ekstensi_salah"; </script>'; 
    }
}
?>


<!-- CK EDITOR -->
<script src="../assets/editor/jquery.min.js"></script>
<script src="../assets/editor/ckeditor/ckeditor.js"></script>

<!-- EDITOR -->
<script>
  $(function () {
    CKEDITOR.replace('editor')
    $('.textarea').wysihtml5()
  })
</script>

<!-- Custom scripts for all pages-->
<script src="../assets/dashboard-admin/js/sb-admin-2.min.js"></script>
<!-- Page level plugins -->
<script src="../assets/dashboard-admin/vendor/datatables/jquery.dataTables.min.js"></script>
<script src="../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.js"></script>

<!-- Page level custom scripts -->
<script src="../assets/dashboard-admin/js/demo/datatables-demo.js"></script>    