<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Data Program Pelatihan Kerja</title>

  <!-- Custom fonts for this template-->
  <link href="../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">
  <link href="../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>

<body id="page-top">
<?php include 'header.php'; ?>

 <!-- Begin Page Content -->
 <div class="container-fluid">

<!-- Page Heading -->
<h1 class="h3 mb-4 text-gray-800">Data Program Pelatihan</h1>

<!-- DataTales Example -->
<div class="card shadow mb-4">
    <div class="card-header py-3 bg-primary">
        <h6 class="m-0 font-weight-bold text-white">Data Seluruh Program Pelatihan Kerja</h6>
    </div>
    <div class="card-body">
        <?php 
        if(isset($_GET['pesan'])){
            if($_GET['pesan'] == "berhasil_ditambah"){
                echo '<div class="alert alert-success text-center">Data pelatihan berhasil ditambah!</div>';
            }
            elseif($_GET['pesan'] == "berhasil_dihapus"){
                echo '<div class="alert alert-success text-center">Data pelatihan berhasil dihapus!</div>';
            }
            elseif($_GET['pesan'] == "berhasil_diupdate"){
                echo '<div class="alert alert-success text-center">Data pelatihan berhasil diupdate!</div>';
            }
        }
        ?>
         <form target="_blank" action="laporan/data-program-pelatihan.php" method="POST">
            <div class="row">
                <div class="col-md-4">
                    <select class="custom-select" name="order_by">
                        <option value="01">Januari</option>
                        <option value="02">Februari</option>
                        <option value="03">Maret</option>
                        <option value="04">April</option>
                        <option value="05">Mei</option>
                        <option value="06">Juni</option>
                        <option value="07">Juli</option>
                        <option value="08">Agustus</option>
                        <option value="09">September</option>
                        <option value="10">Oktober</option>
                        <option value="11">November</option>
                        <option value="12">Desember</option>
                    </select>
                </div>
                <div class="col-md-4">
                    <button class="d-none d-sm-inline-block btn btn-primary shadow-sm mb-4"><i class="fas fa-download fa-sm text-white-50"></i> Cetak Laporan</button>
                </div>
            </div>
        </form>
        <a href="view/tambah-pelatihan.php" class="mb-4 btn btn-primary"><i class="fa fa-plus-circle"></i> Tambah Program Pelatihan</a>
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>ID Pelatihan</th>
                        <th>Nama Pelatihan</th>
                        <th>Gelombang</th>
                        <th>Date Record</th>
                        <th>Tanggal Seleksi</th>
                        <th>Opsion</th>
                    </tr>
                </thead>
                <tbody>
                    <?php 
                    include '../config/koneksi.php';
                    $data = mysqli_query($koneksi, "SELECT * FROM program_pelatihan");
                    while($d = mysqli_fetch_assoc($data)){
                    ?>
                    <tr>
                        <td><?php echo $d['id_pelatihan']; ?></td>
                        <td><?php echo $d['nama_pelatihan']; ?></td>
                        <td><?php echo $d['gelombang']; ?></td>
                        <td><?php echo date('d F Y H:i:s', strtotime($d['date_record'])); ?></td>
                        <td><?php echo date('d F Y', strtotime($d['tanggal_seleksi'])); ?></td>
                        <td style="width:150px;">
                            <a class="text-secondary" href="view/edit-pelatihan.php?id=<?php echo $d['id_pelatihan']; ?>"><i class="fa fa-edit text-secondary"></i> Edit </a>
                            <a onclick="return confirm('Anda yakin?')" class="text-danger" href="opsi/hps-pelatihan.php?id=<?php echo $d['id_pelatihan']; ?>"><i class="fa fa-trash text-danger"></i> Hapus </a>
                        </td>
                    </tr>
                    <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
</div>
<!-- /.container-fluid -->
</div>
<?php include 'footer.php'; ?>

<!-- Custom scripts for all pages-->
<script src="js/sb-admin-2.min.js"></script>
<!-- Page level plugins -->
<script src="../assets/dashboard-admin/vendor/datatables/jquery.dataTables.min.js"></script>
<script src="../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.js"></script>

<!-- Page level custom scripts -->
<script src="../assets/dashboard-admin/js/demo/datatables-demo.js"></script>