<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Pages</title>
    <!-- Custom fonts for this template-->
    <link href="../../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="../../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">
    <link href="../../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
</head>

<body id="page-top">
<?php include 'header.php'; 
include '../../config/koneksi.php';
$pages = mysqli_query($koneksi, "SELECT * FROM pages");
?>

<!-- Begin Page Content -->
<div class="container-fluid">   
    <!-- Page Heading -->
    <h3 class="h3 mb-4 text-gray-800">Pages </h3>
    <?php 
    if(isset($_GET['pesan'])){
        if($_GET['pesan'] == "diupdate"){
            echo '<div class="alert alert-success text-center">Data berhasil diupdate</div>';
        }
    }
    ?>
    <div class="card shadow mb-4">
        <table class="table table-bordered ml-3 my-4" style="width:95% !important;">
        <h4 class="text-center my-4">Pages </h4>
        <th class="text-center">Judul</th>
        <th class="text-center">Konten</th>
        <th class="text-center">Opsi</th>
        <?php while($row = mysqli_fetch_array($pages)){ ?>
            <tr>
            <td><?= $row['judul'] ?></td>
            <td><?= substr($row['konten'],0,150) ?></td>
            <td><a class="text-secondary" href="edit-pages.php?id=<?php echo $row['id_pages']; ?>"><i style="font-size:15px;" class="fa fa-edit text-secondary"></i> Edit</a></td>
        <?php } ?>
        </table>
    </div>
</div>
<!-- /.container-fluid -->
</div>
<!-- End of Main Content -->
<?php include 'footer.php'; ?>

<!-- Page level plugins -->
<script src="../assets/vendor/datatables/jquery.dataTables.min.js"></script>
<script src="../assets/vendor/datatables/dataTables.bootstrap4.min.js"></script>

<!-- Page level custom scripts -->
<script src="../assets/js/demo/datatables-demo.js"></script>

</body>
</html>