<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>Tambah Pelatihan</title>
  
  <!-- Custom fonts for this template-->
  <link href="../../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="../../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">
  <link href="../../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>
<body id="page-top">
<?php include 'header.php'; 
include '../../config/koneksi.php';
?>
<!-- Begin Page Content -->
<div class="container-fluid mb-4">
    <div class="col-lg-12">
        <div class="card" style="line-height:2.5">
            <div class="card-header bg-primary text-white">
                <h5 class="my-2"><i class="fa fa-edit"></i> Tambah Pelatihan</h5>
            </div>
            <div class="card-body">
                <?php 
                if(isset($_GET['pesan'])){
                    if($_GET['pesan'] == "format_salah"){
                        echo '<div class="alert alert-danger text-center">Format kuota wajib angka!</div>';
                    }
                    elseif($_GET['pesan'] == "pelatihan_penuh"){
                        echo '<div class="alert alert-danger text-center">Gelombang yang anda pilih kuota program pelatihannya sudah penuh</div>';
                    }
                }
                ?>
                <form action="" method="post">
                    <label>Nama Pelatihan</label>
                    <input type="text" name="nama_pelatihan" class="form-control" placeholder="Masukan nama pelatihan..." required>
                    
                    <label class="my-2">Deskripsi Pelatihan</label>
                    <textarea id="editor" name="deskripsi" class="form-control" placeholder="Masukan nama jurusan..." required></textarea>
                    
                    <div class="row">
                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 1</label>
                            <select name="kejuruan1" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 1</label>
                            <input type="text" class="form-control" name="kuota_1" placeholder="Kuota kejuruan 1...">
                        </div>

                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 2</label>
                            <select name="kejuruan2" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 2</label>
                            <input type="text" class="form-control" name="kuota_2" placeholder="Kuota kejuruan 2...">
                        </div>

                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 3</label>
                            <select name="kejuruan3" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 3</label>
                            <input type="text" class="form-control" name="kuota_3" placeholder="Kuota kejuruan 3...">
                        </div>

                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 4</label>
                            <select name="kejuruan4" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 4</label>
                            <input type="text" class="form-control" name="kuota_4" placeholder="Kuota kejuruan 4...">
                        </div>

                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 5</label>
                            <select name="kejuruan5" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 5</label>
                            <input type="text" class="form-control" name="kuota_5" placeholder="Kuota kejuruan 5...">
                        </div>

                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 6</label>
                            <select name="kejuruan6" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 6</label>
                            <input type="text" class="form-control" name="kuota_6" placeholder="Kuota kejuruan 6...">
                        </div>

                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 7</label>
                            <select name="kejuruan7" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 7</label>
                            <input type="text" class="form-control" name="kuota_7" placeholder="Kuota kejuruan 7...">
                        </div>
                        
                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 8</label>
                            <select name="kejuruan8" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 8</label>
                            <input type="text" class="form-control" name="kuota_8" placeholder="Kuota kejuruan 8...">
                        </div>

                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 9</label>
                            <select name="kejuruan9" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 9</label>
                            <input type="text" class="form-control" name="kuota_9" placeholder="Kuota kejuruan 9...">
                        </div>

                        <div class="col-lg-6">
                            <label class="my-2">Kejuruan 10</label>
                            <select name="kejuruan10" class="custom-select">
                                <option value="">Pilih Kejuruan</option>
                                <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                                while($x = mysqli_fetch_assoc($jurusan)){
                                ?>
                                <option><?php echo $x['nama_jurusan'] ?></option>
                                <?php } ?>
                            </select>
                            <label class="my2">Kuota 10</label>
                            <input type="text" class="form-control" name="kuota_10" placeholder="Kuota kejuruan 10...">
                        </div>
                    </div>

                    <label class="my-2">Gelombang</label>
                    <select name="gelombang" class="custom-select">
                        <?php $gelombang = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran");
                        while($y = mysqli_fetch_assoc($gelombang)){
                        ?>
                        <option><?php echo $y['gelombang']; ?></option>
                        <?php } ?>
                    </select>

                    <label class="my-2">Lama waktu pelatihan (minggu)</label>
                    <select name="waktu_pelatihan" class="custom-select">
                    <?php for($i=1; $i<=15; $i++){ ?>
                        <option><?php echo $i; ?></option>
                    <?php } ?> 
                    </select>

                    <label class="my-2">Tanggal Seleksi</label>
                    <input type="date" name="tanggal_seleksi" class="form-control" required>

                    <button name="submit" class="btn btn-primary my-4 w-100">Submit</button>
                </form>
            </div>
        </div>
    </div>
</div>
</div>
<?php 
if(isset($_POST['submit'])){
    $id_pelatihan = substr(base_convert(microtime(),10,10),0,7);
    $nama_pelatihan = htmlspecialchars($_POST['nama_pelatihan']);
    $deskripsi = $_POST['deskripsi'];
    //kejuruan
    $kejuruan1 = $_POST['kejuruan1'];
    $kejuruan2 = $_POST['kejuruan2'];
    $kejuruan3 = $_POST['kejuruan3'];
    $kejuruan4 = $_POST['kejuruan4'];
    $kejuruan5 = $_POST['kejuruan5'];
    $kejuruan6 = $_POST['kejuruan6'];
    $kejuruan7 = $_POST['kejuruan7'];
    $kejuruan8 = $_POST['kejuruan8'];
    $kejuruan9 = $_POST['kejuruan9'];
    $kejuruan10 = $_POST['kejuruan10'];
    $gelombang = $_POST['gelombang'];
    date_default_timezone_set('Asia/Jakarta');
    $date = date('Y-m-d H:i:s');
    $waktu_pelatihan = $_POST['waktu_pelatihan'];
    $tanggal_seleksi = $_POST['tanggal_seleksi'];
    $gel = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran");
    $z = mysqli_fetch_assoc($gel);
    $select = mysqli_query($koneksi, "SELECT * FROM program_pelatihan WHERE gelombang='".$z['gelombang']."'");
    if(mysqli_num_rows($select) == $z['jumlah_pelatihan']){
        echo '<script> window.location.href="?pesan=pelatihan_penuh"; </script>';
    }
    else{
        if(!$kejuruan1 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan1', '$kejuruan1', '".$_POST['kuota_1']."')");
        }
        if(!$kejuruan2 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan2', '$kejuruan2', '".$_POST['kuota_2']."')");
        }
        if(!$kejuruan3 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan3', '$kejuruan3', '".$_POST['kuota_3']."')");
        }
        if(!$kejuruan4 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan4', '$kejuruan4', '".$_POST['kuota_4']."')");
        }
        if(!$kejuruan5 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan5', '$kejuruan5', '".$_POST['kuota_5']."')");
        }
        if(!$kejuruan6 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan6', '$kejuruan6', '".$_POST['kuota_6']."')");
        }
        if(!$kejuruan7 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan7', '$kejuruan7', '".$_POST['kuota_7']."')");
        }
        if(!$kejuruan8 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan8', '$kejuruan8', '".$_POST['kuota_8']."')");
        }
        if(!$kejuruan9 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan9', '$kejuruan9', '".$_POST['kuota_9']."')");
        }
        if(!$kejuruan10 == ""){
            mysqli_query($koneksi, "INSERT into kuota VALUES('', '$id_pelatihan', 'kejuruan10', '$kejuruan10', '".$_POST['kuota_10']."')");
        }
        $query = mysqli_query($koneksi, "INSERT into program_pelatihan VALUES('$id_pelatihan', '$nama_pelatihan', '$deskripsi', '$kejuruan1',
                            '$kejuruan2', '$kejuruan3', '$kejuruan4', '$kejuruan5', '$kejuruan6', '$kejuruan7', '$kejuruan8', '$kejuruan9', 
                            '$kejuruan10', '$gelombang', '$waktu_pelatihan', '$tanggal_seleksi', '$date')");
        if($query){
            echo '<script> window.location.href="../data-program.php?pesan=berhasil_ditambah"; </script>';
        } 
    }
}
?>
<?php include 'footer.php'; ?>
</body>
</html>
<!-- CK EDITOR -->
<script src="../../assets/editor/jquery.min.js"></script>
<script src="../../assets/editor/ckeditor/ckeditor.js"></script>

<!-- EDITOR -->
<script>
  $(function () {
    CKEDITOR.replace('editor')
    $('.textarea').wysihtml5()
  })
</script>