<?php
require '../../phpmailer/PHPMailerAutoload.php';
include '../../config/koneksi.php';

//konfigurasi email
$data_email = mysqli_query($koneksi, "SELECT * FROM konfigurasi_email");
$email = mysqli_fetch_assoc($data_email);

$username_email = $email['username'];
$password_email = $email['password'];

$mail = new PHPMailer;
$mail->SMTPOptions = array(
    "ssl" => array(
    "verify_peer" => false,
    "verify_peer_name" => false,
    "allow_self_signed" => true
    )
    );
// Konfigurasi SMTP
$mail->isSMTP();
$mail->Host = 'smtp.gmail.com';
$mail->SMTPAuth = true;
$mail->Username = $username_email;
$mail->Password = $password_email;
$mail->SMTPSecure = 'tls';
$mail->Port = 587;

$mail->setFrom($mail->Username, 'BLK Palembang');
$mail->addReplyTo($mail->Username, $email);

// Menambahkan penerima
$mail->addAddress($d['email']);

// Menambahkan beberapa penerima
//$mail->addAddress('penerima2@contoh.com');
//$mail->addAddress('penerima3@contoh.com');


// Subjek email
$mail->Subject = 'Pemberitahuan Seleksi';

// Mengatur format email ke HTML
$mail->isHTML(true);

// Konten/isi email
$mailContent = "<div style='border:1px solid #eee; padding:10px 10px 10px;'>
                <i class='fa fa-industry fa-2x'></i>
                <h4 class='margin-bottom:5px;'>Hello ".$d['nama_lengkap'].", </h4>
                <h4 class='margin-bottom:15px;'>Kami dari pihak BLK Palembang ingin memberitahukan pengumuman seleksi dari saudara 
                yang bersangkutan dengan rincian sebagai berikut:</h4>
                <table>
                    <th style='text-align:left'><strong>NIK</strong></th>
                    <td>: ".$d['nik']."</td>
                    <tr>
                    <th style='text-align:left'><strong>Nama Lengkap</strong></th>
                    <td>: ".$d['nama_lengkap']."</td>
                    <tr>
                    <th style='text-align:left'>Program Pelatihan</th>
                    <td>: ".$d['program_pelatihan']."</td>
                    <th style='text-align:left'>Kejuruan</th>
                    <td>: ".$d['kejuruan']."</td>
                </table>
                <p class='margin-top:8px'>Dengan ini kami nyatakan $seleksi Demikian pemberitahuan ini kami nyatakan dengan sebenar benarnya. Terima kasih atas perhatiannya.</p>
                </div>
                <br>
                <p style='font-size:11px;color:#999;text-align:center;'>Copyright &copy; 2019 BLK Palembang All Rights Reserved</p>
                ";

$mail->Body = $mailContent;

// Kirim email
if(!$mail->send()){
    echo 'Pesan tidak dapat dikirim.';
    echo 'Mailer Error: ' . $mail->ErrorInfo;
}else{
    echo 'berhasil';
}