<!doctype html>
<html lang="en">
<head>
    <!--====== Required meta tags ======-->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!--====== Title ======-->
    <title>Pendaftaran Pelatihan BLK Palembang</title> 
</head>

<body>
<?php include 'header.php'; ?>

    <!--====== SLIDER PART START ======-->
    
    <section id="slider-part" class="slider-active">
        <div class="single-slider slider-2 bg_cover" style="background-image: url(assets/images/homepage/slider1.jpg)" data-overlay="4">
            <div class="container">
                <div class="row">
                    <div class="col-xl-9 col-lg-10">
                        <div class="slider-cont">
                            <h1 data-animation="bounceInLeft" data-delay="1s">Pendaftaran Pelatihan BLK Palembang</h1>
                            <a data-animation="fadeInUp" data-delay="1.3s" href="pendaftaran.php" class="main-btn">Daftar Sekarang</a>
                        </div>
                    </div>
                </div> <!-- row -->
            </div> <!-- container -->
        </div> <!-- single slider -->
        
        <div class="single-slider slider-2 bg_cover" style="background-image: url(assets/images/homepage/slider2.jpg)" data-overlay="4">
            <div class="container">
                <div class="row">
                    <div class="col-xl-9 col-lg-10">
                        <div class="slider-cont">
                            <h1 data-animation="bounceInLeft" data-delay="1s">Pendaftaran Pelatihan BLK Palembang</h1>
                            <a data-animation="fadeInUp" data-delay="1.3s" href="pelatihan.php" class="main-btn">Daftar Sekarang</a>
                        </div>
                    </div>
                </div> <!-- row -->
            </div> <!-- container -->
        </div> <!-- single slider -->
    </section>
    
    <!--====== SLIDER PART ENDS ======-->
   
    <!--====== CATEGORY PART START ======-->
    
    <section id="category-2-part">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <div class="category-2-items pt-10">
                        <h2 class="text-left my-4">Kejuruan</h2>
                        <div class="row">
                            <?php 
                            include 'config/koneksi.php';
                            $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                            while($x = mysqli_fetch_assoc($jurusan)){
                            ?>
                            <div class="col-md-6">
                                <div class="singel-items text-center mt-30">
                                    <div class="items-image">
                                        <img style="height:150px;" src="assets/images/jurusan/<?php echo $x['foto']; ?>" alt="Category">
                                    </div>
                                    <div class="items-cont">
                                    <a href="users/view/detail-jurusan.php?id=<?php echo $x['id_jurusan']; ?>">
                                        <h5><?php echo $x['nama_jurusan'] ?></h5>
                                    </a>
                                    </div>
                                </div> <!-- singel items -->
                            </div>
                            <?php } ?>
                        </div> <!-- row -->
                    </div> <!-- category -->
                </div>
                <div class="col-lg-5 offset-lg-1 pb-30">
                    <div class="category-form">
                        <div class="form-title text-center">
                            <h3>Daftar Gratis!</h3>
                        </div>
                        <div class="main-form">
                            <?php 
                            if(isset($_GET['pesan'])){
                                if($_GET['pesan'] == "pendaftaran_berhasil"){
                                    echo '<div class="alert alert-success text-center">Pendaftaran berhasil!</div>';
                                }
                                elseif($_GET['pesan'] == "pendaftaran_gagal"){
                                    echo '<div class="alert alert-warning text-center">Pendaftaran gagal, sudah ada email yang terdaftar</div>';
                                }
                            }
                            ?>
                            <form action="" method="POST">
                                <div class="singel-form">
                                    <input type="text" name="nama" placeholder="Your Name" required>
                                </div>
                                <div class="singel-form">
                                    <input type="email" name="email" placeholder="Your Mail" required>
                                </div>
                                <div class="singel-form">
                                    <input type="password" name="password" placeholder="Your Password" required>
                                </div>
                                <div class="singel-form">
                                    <button class="main-btn" name="submit">Submit</button>
                                </div>
                            </form>
                            <p class="my-4 text-center text-secondary">Already have a account? sign <a href="login.php">here</a></p>
                        </div>
                    </div>
                </div>
            </div> <!-- row -->
        </div> <!-- container -->
    </section>
    <?php 
    include 'config/koneksi.php';
    if(isset($_POST['submit'])){
        $nama = htmlspecialchars($_POST['nama']);
        $email = htmlspecialchars($_POST['email']);
        $password = htmlspecialchars($_POST['password']);
        $cek = mysqli_query($koneksi, "SELECT * FROM user WHERE email='$email'");
        $id = substr(uniqid(rand()),0,5);
        if(mysqli_num_rows($cek) == 0){
            date_default_timezone_set('Asia/Jakarta');
            $date = date('Y-m-d H:i:s');
            $query = mysqli_query($koneksi, "INSERT into user VALUES('$id', '$nama', '$email', '$password', 'user', '$date') ");
            echo '<script> window.location.href="?pesan=pendaftaran_berhasil"; </script>';
        }else{
            echo '<script> window.location.href="?pesan=pendaftaran_gagal"; </script>';
        }
    }
    ?>
    
    <!--====== CATEGORY PART ENDS ======-->
   
    <section id="event-page" class="pt-90 pb-120 gray-bg">
        <div class="container">
        <h3 class="text-center">Program Pelatihan</h3>
           <div class="row">
            <?php 
            $pelatihan = mysqli_query($koneksi, "SELECT * FROM program_pelatihan");
            while($row = mysqli_fetch_assoc($pelatihan)){
                $gelombang = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran WHERE gelombang='".$row['gelombang']."'");
                $g = mysqli_fetch_assoc($gelombang)
            ?>
               <div class="col-lg-6 my-2">
                   <div class="singel-event-list mt-30 h-100">
                       <div class="event-cont">
                           <span style="width:500px;">
                                <i class="fa fa-calendar-o"></i> <?php echo $row['gelombang'] ?>
                                <i class="fa fa-calendar"></i> 
                                <?php $periode_awal = $g['periode_awal']; echo date('d F Y', strtotime($periode_awal)); ?> - 
                                <?php $periode_akhir = $g['periode_akhir']; echo date('d F Y', strtotime($periode_akhir)); ?> 
                            </span>
                            <a href="users/view/detail-pelatihan.php?pelatihan=<?php echo $row['id_pelatihan']; ?>"><h4><?php echo $row['nama_pelatihan']; ?></h4></a>
                            <span><i class="fa fa-clock-o"></i> <?php echo $row['waktu_pelatihan']. " Minggu" ?></span>
                            <span><i class="fa fa-map-marker"></i> Palembang</span>
                            <p><?php if(str_word_count($row['deskripsi']) < 15){ echo $row['deskripsi']; } else{ echo substr($row['deskripsi'],0,5) . "..."; } ?></p>
                       </div>
                   </div>
               </div>
            <?php } ?>
           </div> <!-- row -->
            
        </div> <!-- container -->
    </section>
    
    <!--====== EVENT 2 PART START ======-->
    
    <section id="event-part" class="pt-20 pb-30">
        <div class="container">
            <div class="event-bg bg_cover" style="background-image: url(assets/images/homepage/homepage.jpg)">
                <div class="row">
                    <div class="col-lg-5 offset-lg-6 col-md-8 offset-md-2 col-sm-10 offset-sm-1">
                        <div class="event-2 pt-90 pb-70">
                            <div class="event-title">
                                <h3>Jadwal Gelombang Pendaftaran Tahun 2019</h3>
                            </div> <!-- event title -->
                            <ul>
                                <?php $gelombang = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran");
                                    while($d = mysqli_fetch_assoc($gelombang)){
                                ?>
                                <li>
                                    <div class="singel-event">
                                        <span><i class="fa fa-calendar"></i> <?php $periode_awal = $d['periode_awal']; echo date('d F Y', strtotime($periode_awal)); ?> - 
                                        <?php $periode_akhir = $d['periode_akhir']; echo date('d F Y', strtotime($periode_akhir)); ?></span>
                                        <a><h4><?php echo $d['gelombang']; ?></h4></a>
                                        <span><i class="fa fa-industry"></i> <?php echo $d['jumlah_pelatihan'] ?> Program Pelatihan</span>
                                        <span><i class="fa fa-map-marker"></i> Palembang</span>
                                    </div>
                                </li>
                                <?php } ?>
                            </ul> 
                        </div> <!-- event 2 -->
                    </div>
                </div> <!-- row -->
            </div>
        </div> <!-- container -->
    </section>
    <!--====== EVENT 2 PART ENDS ======-->
<?php include 'footer.php'; ?>
</body>
</html>