<!doctype html>
<html lang="en">
<head>
    <!--====== Required meta tags ======-->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!--====== Title ======-->
    <title>Pages - Program Pelatihan</title> 
</head>

<body>
<?php include 'header.php'; ?>

<!--====== PAGE BANNER PART START ======-->
<section id="page-banner" class="pt-105 pb-110 bg_cover" data-overlay="8" style="background-image: url(assets/images/homepage/slider1.jpg)">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="page-banner-cont">
                    <h2>Program Pelatihan</h2>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Program Pelatihan</li>
                        </ol>
                    </nav>
                </div>  <!-- page banner cont -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>
<!--====== PAGE BANNER PART ENDS ======-->

<section id="contact-page" class="pt-90 pb-120 gray-bg" style="margin-bottom:-20px;">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="contact-from mt-30">
                    <div class="section-title">
                        <h3>Program Pelatihan</h3>
                        <p class="my-4">Pendaftaran gratis! tidak dipungut biaya apapun</p>
                    </div> <!-- section title -->
                    <div class="main-form pt-0">
                        <a target="_blank" href="pendaftaran.php" class="btn btn-warning text-white">Daftar Sekarang</a>
                        <div class="table table-responsive my-4">
                        <table class="table table-bordered">
                            <thead style="background:#07294d;color:#fff;">
                                <th>Nama Pelatihan</th>
                                <th>Pendaftaran</th>
                                <th>Gelombang</th>
                                <th>Waktu Pelatihan</th>
                                <th>Tanggal Seleksi</th>
                                <th>Opsi</th>
                            </thead>
                            <tbody>
                            <?php include 'config/koneksi.php'; 
                            $pelatihan = mysqli_query($koneksi, "SELECT * FROM program_pelatihan ORDER BY date_record DESC");
                            while($d = mysqli_fetch_assoc($pelatihan)){
                            $gelombang = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran WHERE gelombang='".$d['gelombang']."'");
                            $g = mysqli_fetch_assoc($gelombang);
                            ?>
                            <tr>
                                <td><?php echo $d['nama_pelatihan']; ?></td>
                                <td><?php $periode_awal = $g['periode_awal']; echo date('d F', strtotime($periode_awal)); ?> s/d 
                                <?php $periode_akhir = $g['periode_akhir']; echo date('d F', strtotime($periode_akhir)); ?></td>
                                <td><?php echo $d['gelombang']; ?></td>
                                <td><?php echo $d['waktu_pelatihan']. " Minggu"; ?></td>
                                <td><?php echo date('d F Y' ,strtotime($d['tanggal_seleksi'])); ?></td>
                                <td>
                                    <a target="_blank" href="users/view/detail-pelatihan.php?pelatihan=<?php echo $d['id_pelatihan'] ?>" class="btn btn-primary text-white">Detail Pelatihan</a>
                                </td>
                            <?php } ?>
                            </tbody>
                        </table>
                        </div>
                    </div> <!-- main form -->
                </div> <!--  contact from -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>

<?php include 'footer.php'; ?>
</body>
</html>