<?php
session_start();
include '../../config/koneksi.php';
if(isset($_POST['save'])){
    $pelatihan = $_GET['pelatihan'];
    $kejuruan = $_POST['kejuruan'];

    //data diri
    $nik = htmlspecialchars($_POST['nik']);
    $nama_lengkap = htmlspecialchars($_POST['nama_lengkap']);
    $email = htmlspecialchars($_POST['email']);
    $jenkel = htmlspecialchars($_POST['jenkel']);
    $tempat_lahir = htmlspecialchars($_POST['tempat_lahir']);
    $tanggal_lahir = $_POST['tgl_lahir'];
    $berat_badan = $_POST['berat_badan'];
    $tinggi_badan = $_POST['tinggi_badan'];
    $status_pekerjaan = htmlspecialchars($_POST['status_pekerjaan']);
    $status_perkawinan = htmlspecialchars($_POST['status_perkawinan']);
    $gol_darah = htmlspecialchars($_POST['gol_darah']);
    $agama = htmlspecialchars($_POST['agama']);
    
    //tempat tinggal
    $alamat_lengkap = htmlspecialchars($_POST['alamat_lengkap']);
    $provinsi = $_POST['provinsi'];
    $kota_kabupaten = $_POST['kota_kabupaten'];
    
    //date record
    date_default_timezone_set('Asia/Jakarta');
    $date = date('Y-m-d H:i:s');
    
    //informasi lainnya
    $nomor_hp = htmlspecialchars($_POST['no_hp']);
    $pendidikan_terakhir = htmlspecialchars($_POST['pendidikan_terakhir']);
    $jurusan = $_POST['jurusan'];
    $asal_sekolah = $_POST['asal_sekolah'];
    
    //no test unik
    $no_test = substr(base_convert(microtime(),12,10),0,7);

    //foto
    $foto = $_FILES['foto']['name'];
    $size = $_FILES['foto']['size'];
    $tmp_name = $_FILES['foto']['tmp_name'];
    //cek ekstensi foto
    $x = explode('.', $foto);
    $foto_diri = strtolower(end($x));

    //foto ktp
    $foto1 = $_FILES['foto_ktp']['name'];
    $size1 = $_FILES['foto_ktp']['size'];
    $tmp_name1 = $_FILES['foto_ktp']['tmp_name'];
    //cek ekstensi foto
    $y = explode('.', $foto1);
    $foto_ktp = strtolower(end($y));
    
    //foto ijazah
    $foto2 = $_FILES['foto_ijazah']['name'];
    $size2 = $_FILES['foto_ijazah']['size'];
    $tmp_name2 = $_FILES['foto_ijazah']['tmp_name'];
    //cek ekstensi foto
    $z = explode('.', $foto2);
    $foto_ijazah = strtolower(end($z));

    //ekstensi yang tersedia
    $ekstensi = array('jpg', 'jpeg', 'png');
    
    //cek user sudah mendaftar pada gelombang yang tercantum pada program pelatihan tersebut atau tidak
    $program_pelatihan = mysqli_query($koneksi, "SELECT * FROM program_pelatihan WHERE id_pelatihan='$pelatihan'");
    $p = mysqli_fetch_assoc($program_pelatihan);
    
    $cek_user = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE id='".$_SESSION['id']."' AND gelombang='".$p['gelombang']."'");

    //cek kuota
    $kuota = mysqli_query($koneksi, "SELECT * FROM kuota WHERE id_pelatihan='$pelatihan' AND kejuruan='$kejuruan'  ");
    $k = mysqli_fetch_assoc($kuota);

    if(mysqli_num_rows($cek_user) == 0){
        if($size < 3123450 || $size1 < 3123450 || $size2 < 3123450){
            if(in_array($foto_diri, $ekstensi) === true || in_array($foto_ktp, $ekstensi) === true || in_array($foto_ijazah, $ekstensi) === true){
                move_uploaded_file($tmp_name, "../../assets/images/pendaftar/$foto");
                move_uploaded_file($tmp_name1, "../../assets/images/foto_ktp/$foto1");
                move_uploaded_file($tmp_name2, "../../assets/images/foto_ijazah/$foto2");
                //kurangi kuota jurusan tsb
                $kurangi = $k['kuota'] - 1;
                $update = mysqli_query($koneksi, "UPDATE kuota SET kuota='$kurangi' WHERE id_pelatihan='$pelatihan' AND kejuruan='$kejuruan' ");
                $query = mysqli_query($koneksi, "INSERT into pendaftaran_pelatihan VALUES('$no_test', '".$_SESSION['id']."', '$nik', '$nama_lengkap', '$email', '$jenkel', '$tempat_lahir', '$tanggal_lahir', '$berat_badan', '$tinggi_badan', '$status_pekerjaan', '$status_perkawinan', '$gol_darah', '$agama', '$nomor_hp', '$pendidikan_terakhir', '$jurusan', '$asal_sekolah', '$alamat_lengkap', '$provinsi', '$kota_kabupaten', '$foto', '$foto1', '$foto2', '$date', '".$p['nama_pelatihan']."', 'Menunggu Seleksi', '".$p['gelombang']."', '$kejuruan')");
                //notifikasi
                $email_pendaftar = $email;
                $link = '<a href="detail-peserta.php?no_test='.$no_test.'">disini</a>';
                mysqli_query($koneksi, "INSERT into notifications VALUES('', '$nama_lengkap ingin mendaftarkan program pelatihan ".$p['nama_pelatihan'].". Cek selengkapnya ".$link." ', 'N', '$date')");
                //notif email
                require_once '../../email/pendaftaran_berhasil.php';
                echo '<script> window.location.href="../result.php?pelatihan='.$pelatihan.'"; </script>';
            }else{
                echo '<script> window.location.href="../view/isi-pendaftaran.php?pelatihan='.$pelatihan.'&pesan=ekstensi_salah"; </script>';
            }
        }else{
            echo '<script> window.location.href="../view/isi-pendaftaran.php?pelatihan='.$pelatihan.'&pesan=ukuran_besar"; </script>';
        }
    }else{
        echo '<script> window.location.href="../view/isi-pendaftaran.php?pelatihan='.$pelatihan.'&pesan=sudah_terdaftar"; </script>';
    }
}

else{
    echo '<script> window.location.href="../error.php"; </script>';
}