<!doctype html>
<html lang="en">
<head>
    <!--====== Required meta tags ======-->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!--====== Title ======-->
    <title>Pages - Isi Pendaftaran</title>  
</head>

<body>
<?php include 'header.php'; 
if(isset($_SESSION['level']) == ""){
    echo '<script> window.location.href="../../login.php?pesan=belum_login&token='.$_GET['pelatihan'].'&kejuruan='.$_GET['kejuruan'].'"; </script>';
}
elseif($_SESSION['level'] == "admin"){
    echo '<script> window.location.href="../../login.php?pesan=akses_nonvalid"; </script>';
}
include '../../config/koneksi.php';
$id = $_GET['pelatihan'];
$pelatihan = mysqli_query($koneksi, "SELECT * FROM program_pelatihan WHERE id_pelatihan='$id'");
$d = mysqli_fetch_assoc($pelatihan);

//kuota
$kuota = mysqli_query($koneksi, "SELECT * FROM kuota WHERE id_pelatihan='$id' AND kejuruan='".$_GET['kejuruan']."' ");
$k = mysqli_fetch_assoc($kuota);

//cek apakah pendaftaran masih tersedia (berdasarkan periode akhir gelombang)
$gelombang = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran WHERE gelombang='".$d['gelombang']."' ");
$gel = mysqli_fetch_assoc($gelombang);

$periode_akhir = strtotime($gel['periode_akhir']);
$tgl_sekarang = strtotime(date('Y-m-d'));
$hitung_hari = $tgl_sekarang - $periode_akhir;
$batas_daftar = floor($hitung_hari / (60 * 60 * 24));
if($batas_daftar > 0){
    echo '<script> window.location.href="../../pendaftaran.php?pesan=gelombang_habis"; </script>';
}
?>

<!--====== PAGE BANNER PART START ======-->
<section id="page-banner" class="pt-105 pb-110 bg_cover" data-overlay="8" style="background-image: url(../../assets/images/homepage/homepage.jpg)">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="page-banner-cont">
                    <h2>Pendaftaran </h2>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.php">Home</a></li>
                            <li class="breadcrumb-item"><a href="index.php">View</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Pendaftaran</li>
                        </ol>
                    </nav>
                </div>  <!-- page banner cont -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>
<!--====== PAGE BANNER PART ENDS ======-->

<section id="contact-page" class="pt-90 pb-120 gray-bg" style="margin-bottom:-20px;">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="contact-from mt-30">
                    <div class="section-title">
                        <h3>Isi Pendaftaran Untuk <?php echo $d['nama_pelatihan']. ", ". $d['gelombang']; ?>  </h3>
                        <h5 class="my-2">Kejuruan: <?php echo $_GET['kejuruan'] ?></h5>
                    </div> <!-- section title -->
                    <?php 
                    if($k['kuota'] == 0){
                        echo '<p>Maaf, program pelatihan ini batas kuotanya telah habis <i class="fa fa-frown-o"></i></p>';
                    }
                    elseif($k['kuota'] > 0){ ?>
                    <p>Note: <span class="text-danger my-2">*</span> Wajib diisi</p>
                    <div class="main-form pt-30">
                    <?php 
                    if(isset($_GET['pesan'])){
                        if($_GET['pesan'] == "akses_nonvalid"){
                            echo '<div class="alert alert-danger text-center">Akses tidak valid, anda harus mengisi data diri terlebih dahulu</div>';
                        }
                        elseif($_GET['pesan'] == "sudah_terdaftar"){
                            echo '<div class="alert alert-danger text-center">Pendaftaran gagal, anda sudah mendaftar pada gelombang yang tercantum pada program pelatihan ini</div>';
                        }
                        elseif($_GET['pesan'] == "nik_terdaftar"){
                            echo '<div class="alert alert-danger text-center">Pendaftaran gagal, NIK anda telah terdaftar dalam database kami</div>';
                        }
                        elseif($_GET['pesan'] == "ekstensi_salah"){
                            echo '<div class="alert alert-danger text-center">Ekstensi foto salah!</div>';
                        }
                        elseif($_GET['pesan'] == "ukuran_besar"){
                            echo '<div class="alert alert-danger text-center">Ukuran foto terlalu besar! (max: 2MB)</div>';
                        }
                    }
                    ?>
                    <h5>1. Data Diri</h5>
                    <form action="../aksi/proses-pendaftaran.php?pelatihan=<?php echo $id; ?>" method="POST" enctype="multipart/form-data">
                        <div class="row">
                            <div class="col-md-6 pt-20">
                                <input type="hidden" name="kejuruan" value="<?php echo $_GET['kejuruan']; ?>">
                               <label>NIK <span class="text-danger">*</span></label>
                               <input type="text" name="nik" class="form-control" placeholder="Masukan NIK anda..." required>
                            </div>
                            <div class="col-md-6 pt-20">
                               <label>Nama Lengkap <span class="text-danger">*</span></label>
                               <input type="text" name="nama_lengkap" class="form-control" placeholder="Masukan nama lengkap anda..." required>
                            </div>
                            <div class="col-md-6 pt-20">
                               <label>Email <span class="text-danger">*</span></label>
                               <input type="email" name="email" class="form-control" placeholder="Masukan alamat email" required>
                            </div>
                            <div class="col-md-6 pt-20">
                               <label>Jenis Kelamin <span class="text-danger">*</span></label>
                               <select name="jenkel" class="form-control">
                                    <option value="L">L</option>
                                    <option value="P">P</option>
                               </select>
                            </div>
                            <div class="col-md-3 pt-20">
                               <label>Tempat Lahir <span class="text-danger">*</span></label>
                               <input type="text" name="tempat_lahir" class="form-control" placeholder="Masukan nama tempat lahir anda..." required>
                            </div>
                            <div class="col-md-3 pt-20">
                                <label>Tanggal Lahir <span class="text-danger">*</span></label>
                               <input type="date" name="tgl_lahir" class="form-control" required>
                            </div>
                            <div class="col-md-3 pt-20">
                                <label>Berat Badan (Kg) <span class="text-danger">*</span></label>
                               <input type="text" name="berat_badan" placeholder="Masukan berat badan..." class="form-control" required>
                            </div>
                            <div class="col-md-3 pt-20">
                                <label>Tinggi Badan (Cm) <span class="text-danger">*</span></label>
                               <input type="text" name="tinggi_badan" placeholder="Masukan tinggi badan..." class="form-control" required>
                            </div>
                            <div class="col-md-6 pt-20">
                                <label>Status Pekerjaan <span class="text-danger">*</span></label>
                                <select class="form-control" name="status_pekerjaan">
                                    <option>BELUM BEKERJA</option>
                                    <option>SUDAH BEKERJA</option>
                               </select>
                            </div>
                            <div class="col-md-6 pt-20">
                                <label>Status Perkawinan <span class="text-danger">*</span></label>
                               <select class="form-control" name="status_perkawinan">
                                    <option>BELUM KAWIN</option>
                                    <option>SUDAH KAWIN</option>
                               </select>
                            </div>
                            <div class="col-md-6 pt-20">
                                <label>Gol. Darah</label>
                               <input type="text" placeholder="Masukan gol. darah anda..." name="gol_darah" class="form-control">
                            </div>
                            <div class="col-md-6 pt-20">
                               <label>Agama <span class="text-danger">*</span></label>
                               <select name="agama" class="form-control">
                                    <option>Islam</option>
                                    <option>Kristen</option>
                                    <option>Protestan</option>
                                    <option>Hindu</option>
                                    <option>Buddha</option>
                                    <option>Konghucu</option>
                               </select>
                            </div>
                        </div>
                        <h5 class="pt-30">2. Informasi Lainnya</h5>
                        <div class="row">
                            <div class="col-md-6 pt-20">
                                <label>Nomor HP <span class="text-danger">*</span></label>
                                <input type="text" name="no_hp" class="form-control" placeholder="Nomor handphone..." required>
                            </div>
                            <div class="col-md-6 pt-20">
                                <label>Pendidikan Terakhir <span class="text-danger">*</span></label>
                                <select name="pendidikan_terakhir" class="form-control">
                                    <option>SD</option>
                                    <option>SMP</option>
                                    <option>SMA</option>
                                    <option>SMK</option>
                                    <option>D1</option>
                                    <option>D2</option>
                                    <option>D3</option>
                                    <option>D4</option>
                                    <option>S1</option>
                                    <option>S2</option>
                                </select>
                            </div>
                            <div class="col-md-6 pt-20">
                                <label>Jurusan</label>
                                <input type="text" name="jurusan" class="form-control" placeholder="Isi jurusan...">
                            </div>
                            <div class="col-md-6 pt-20">
                                <label>Asal Sekolah / Universitas</label>
                                <input type="text" name="asal_sekolah" class="form-control" placeholder="Isi asal sekolah...">
                            </div>
                            </div>
                            <h5 class="pt-20">3. Tempat Tinggal</h5>
                            <div class="row">
                                <div class="col-md-6 pt-20">
                                    <label>Alamat Lengkap <span class="text-danger">*</span></label>
                                    <input type="text" name="alamat_lengkap" class="form-control" placeholder="Masukan alamat lengkap...">
                                </div>
                                <div class="col-md-6 pt-20">
                                    <label>Provinsi <span class="text-danger">*</span></label>
                                    <select onchange="combobox()" id="provinsi" name="provinsi" class="form-control">
                                        <option>Pilih Provinsi</option>
                                        <option>SUMATERA SELATAN</option>
                                    </select>
                                </div>
                                <div class="col-md-12 pt-20">
                                    <label>Kota / Kabupaten <span class="text-danger">*</span></label>
                                    <select id="kota" name="kota_kabupaten" class="form-control">
                                    </select>
                                </div>
                            </div>
                            <h5 class="pt-20">4. Foto</h5>
                            <div class="row">
                                <div class="col-md-12 pt-20">
                                    <label>Foto Diri (Ukuran 3 x 4) <span class="text-danger">*</span></label>
                                    <input type="file" name="foto" class="form-control" style="height:58%;">
                                </div>

                                <div class="col-md-12 pt-20">
                                    <label>Foto KTP <span class="text-danger">*</span></label>
                                    <input type="file" name="foto_ktp" class="form-control" style="height:58%;">
                                </div>

                                <div class="col-md-12 pt-20">
                                    <label>Foto Ijazah Terakhir <span class="text-danger"> *</span></label>
                                    <input type="file" name="foto_ijazah" class="form-control" style="height:42%;">
                                    <p class="text-secondary">File yang didukung: .jpg, .jpeg, .png</p>
                                </div>
                            </div>
                            <button name="save" class="btn btn-warning my-4 w-100 text-white font-weight-bold">DAFTAR</button>
                        </form>
                        </div> <!-- row -->
                    </div> <!-- main form -->
                    <?php } ?>
                </div> <!--  contact from -->
            </div>
        </div> <!-- main form -->
    </div> <!--  contact from -->
</div>
</div> <!-- row -->
</div> <!-- container -->
</section>
<?php include 'footer.php'; ?>
</body>
</html>
<script>
function combobox() {
    var ambil = document.getElementById("provinsi").value;
    document.getElementById("kota").innerHTML = "<option>KAB. BANYUASIN</option><option>KAB. EMPAT LAWANG</option> <option>KAB.LAHAT</option><option>KAB.MUARA ENIM</option><option>KAB. MUSI BANYUASIN</option><option>KAB.MUSI RAWAS UTARA</option><option>KAB. OGAN ILIR</option><option>KAB. OGAN KOMERING ILIR</option><option>KAB. OGAN KOMERING ULU</option><option>KAB. OGAN KOMERING ULU SE</option><option>KAB. OGAN KOMERING ULU TI</option><option>KAB. PENUKAL ABAB LEMATAN</option><option>KOTA LUBUK LINGGAU</option><option>KOTA PAGAR ALAM</option><option>KOTA PALEMBANG</option><option>KOTA PRABUMULIH</option>";
}
</script>