<!doctype html>
<html lang="en">
<head>
    <!--====== Required meta tags ======-->
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!--====== Title ======-->
    <title>Rincian Pendaftaran</title> 
</head>

<body>
<?php include 'header.php'; 
if(isset($_SESSION['level']) == ""){
    echo '<script> window.location.href="../../login.php?pesan=belum_login"; </script>';
}
elseif($_SESSION['level'] == "admin"){
    echo '<script> window.location.href="../../login.php?pesan=akses_nonvalid"; </script>';
}
?>

<!--====== PAGE BANNER PART START ======-->
<section id="page-banner" class="pt-105 pb-110 bg_cover" data-overlay="8" style="background-image: url(../../assets/images/homepage/homepage.jpg)">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="page-banner-cont">
                    <h2>Rincian Pendaftaran</h2>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="../index.php">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Rincian Pendaftaran</li>
                        </ol>
                    </nav>
                </div>  <!-- page banner cont -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>
<!--====== PAGE BANNER PART ENDS ======-->

<section id="contact-page" class="pt-90 pb-120 gray-bg" style="margin-bottom:-20px;">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="contact-from mt-30">
                    <div class="section-title">
                        <h3 class="pb-30">Rincian Pendaftaran <?php echo $_SESSION['nama_lengkap']; ?></h3>
                    </div> <!-- section title -->
                    <div class="main-form pt-0">
                        <div class="table table-responsive">
                        <table class="table table-bordered">
                            <thead style="background:#07294d;color:#fff;">
                                <th>No Test</th>
                                <th>NIK</th>
                                <th>Nama</th>
                                <th>Program Pelatihan</th>
                                <th>Kejuruan</th>
                                <th>Gelombang</th>
                                <th>Tahun</th>
                                <th>Status Seleksi</th>
                                <th>Opsi</th>
                            </thead>
                            <tbody>
                            <?php include '../../config/koneksi.php'; 
                            $data = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE id='".$_SESSION['id']."'");
                            while($d = mysqli_fetch_assoc($data)){ ?>
                            <tr>
                                <td><?php echo $d['no_test']; ?></td>
                                <td><?php echo $d['nik']; ?></td>
                                <td><?php echo $d['nama_lengkap'] ?></td>
                                <td><?php echo $d['program_pelatihan']; ?></td>
                                <td><?php echo $d['kejuruan']; ?></td>
                                <td><?php echo $d['gelombang']; ?></td>
                                <td><?php echo substr($d['date_record'],0,4); ?></td>
                                <td><?php echo $d['status_seleksi']; ?></td>
                                <td><a href="detail-pendaftaran.php?no_test=<?php echo $d['no_test']; ?>" class="btn btn-warning text-white">Selengkapnya</a></td>
                            <?php } ?>
                            </tbody>
                        </table>
                        <?php if(mysqli_num_rows($data) == 0){
                            echo '<p class="text-center font-weight-bold">Not found</p>';
                        } ?>
                        </div>
                    </div> <!-- main form -->
                </div> <!--  contact from -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</section>

<?php include 'footer.php'; ?>
</body>
</html>